Getting started with Internet Explorer

Getting started with
Internet Explorer

With an Internet connection and Internet Explorer, you can find and view information about anything on the Web. Just click the topics below to get started. You'll find more information to help you browse the Internet in the Help Contents.

Basic setup

If you aren't connected to the Internet, or you want to create a new connection, click this link.

  • Set up an Internet connection

Learning about Internet Explorer

If you're new to the Internet or to Internet Explorer, here's the information you need to get started.

  • Introducing the Internet Explorer Web browser
  • Learning how to browse the Web faster and easier
  • Finding the information you want


Finding the information you want on the Internet

You can find information on the Web in a variety of ways:

  • Click the Search button on the toolbar to gain access to a number of search providers. Type a word or phrase in the Search box.
  • Type go, find, or ? followed by a word or phrase in the Address bar. Internet Explorer starts a search using its predetermined search provider.
  • After you go to a Web page, you can search for specific text on that page by clicking the Edit menu, and then clicking Find (on this page).

Note

  • If a Web address doesn't work, Internet Explorer asks if you want to search for similar Web addresses. You can change this setting so that Internet Explorer searches automatically without prompting. For more information, click Related Topics.

Related Topics


Listing your favorite pages for quick viewing

When you find Web sites or pages that you like, you can keep track of them, so it's easy to open them in the future.

  • Add a Web page to your list of favorite pages. Any time you want to open that page, just click the Favorites button on the toolbar, and then click the shortcut in the Favorites list.

    Add a page to your list of favorite pages

  • If you have a handful of sites or pages that you visit often, add them to your Links bar.

    Add a page to your Links bar

  • If there is one page you visit most, you can make it your home page so that it appears every time you start Internet Explorer or click the Home button on the toolbar.

    Change your home page

Note

  • If you forget to add Web pages to your Favorites or Links bar, click the History button on the toolbar. The History list shows where you've been—today, yesterday, or a few weeks ago. Click a name from the list to display the page.


Change your home page

To change your home page

Your home page is the page that appears every time you open Internet Explorer. Choose a page that you want to view frequently, or one that you can customize to get quick access to all the information you want, such as the msn.com home page.

  1. Go to the page you want to appear when you start Internet Explorer.
  2. On the Tools menu, click Internet Options.
  3. Click the General tab.
  4. Under Home page, click Use Current.

Note

  • To restore your original home page, click Use Default.


Sharing bookmarks and favorites

Favorites, known as bookmarks in Netscape Navigator, are a convenient way to organize and link to Web pages that you visit frequently.

Internet Explorer automatically imports all your Netscape bookmarks. On the Favorites menu, click the Imported Bookmarks folder to view them.

If you use Internet Explorer on several computers, you can easily share favorite items among computers by importing them. Also, if you use both Internet Explorer and Netscape Navigator, you can keep your favorites and bookmarks updated with each other by importing them between programs.

  • To import bookmarks or favorites, on the File menu, click Import and Export.
  • To export favorites to bookmarks or favorites on the same or another computer, on the File menu, click Import and Export.

Notes

  • Exported favorites are saved as regular HTML files, so either Internet Explorer or Netscape Navigator can import them. You can export a selected folder in your Favorites list, or all of your favorites.
  • The exported favorites file is fairly small, so if you want to share the favorite items with other people, you can copy it to a floppy disk or folder on a network, or attach it to an e-mail message.


Finding pages you've recently visited

There are several ways to find Web sites and pages you've viewed in the last few days, hours, or minutes.

To find a page you've seen in the last few days

  1. On the toolbar, click the History button.

    The History bar appears, containing links for Web sites and pages visited in previous days and weeks.

  2. In the History bar, click a week or day, click a Web site folder to display individual pages, and then click the page icon to display the Web page.

    To sort or search the History bar, click the arrow next to the View button at the top of the History bar.

To find a page that you just visited

  • To return to the last page you viewed, click the Back button on the toolbar.
  • To view one of the last nine pages you visited in this session, click the arrow to the side of the Back or Forward button, and then click the page you want from the list.

Notes

  • You can hide the History bar by clicking the History button again.
  • You can change the number of days that pages are saved in the History list. The more days you specify, the more disk space is used on your computer to save that information.


Enter Web information more easily

To enter Web information more easily

The AutoComplete feature saves previous entries you've made for Web addresses, forms, and passwords. Then, when you type information in one of these fields, AutoComplete suggests possible matches. These matches can include folder and program names you type into the Address bar, and search queries, stock quotes, or information for just about any other field you fill in on a Web page.

  1. In the Address bar, a field on a Web page, or a box for a user name or password, start typing the information.

    If you've typed a similar entry before, AutoComplete lists possible matches as you type.

  2. If a suggestion in the list matches what you want to enter in that field, click the suggestion.

    If no suggestion matches what you are typing, continue typing.

Notes

  • The information used for suggested matches is stored on your computer and is encrypted to protect your privacy.
  • Web sites cannot gain access to this information. They can receive only what you explicitly enter in forms.
  • When typing information in Web forms, and typing passwords, you can remove an item from the list of suggestions by clicking the item and then pressing the DELETE key. To learn how to delete entries from the Address bar list, click Related Topics below.


Making pages available for offline viewing

When you make a Web page available offline, you can read its content when your computer is not connected to the Internet. For example, you can view Web pages on your laptop computer when you don't have a network or Internet connection. Or you can read Web pages at home without tying up a phone line.

You can specify how much content you want available, such as just a page, or a page and all its links, and choose how you want to update that content on your computer.

If you just want to view a Web page offline, and you don't need to update the content, you can save the page on your computer. There are several ways you can save the Web page, from just saving the text to saving all of the images and text needed to display that page as it appears on the Web.

What would you like to do?

Make the current Web page available offline.

Make an existing favorite item available offline.

Save a Web page on your computer.

Notes

  • In previous versions of Internet Explorer, offline viewing was called "subscribing."
  • If you used channels in a previous version of Internet Explorer, you can find them in the Channels folder in your Favorites list.


View Web pages without being connected to the Internet

To view Web pages without being connected to the Internet

After you mark your favorite pages for viewing offline, you can view them offline by following these steps:

  1. Before you disconnect from the Internet, on the Tools menu, click Synchronize.
  2. When you're ready to work offline, on the File menu, click Work Offline.
  3. In your Favorites list, click the item you want to view.

Note

  • When you choose to work offline, Internet Explorer will always start in Offline mode until you click Work Offline again to clear the check mark.


Print a Web page

To print a Web page

  1. On the File menu, click Print.
  2. Set the printing options you want.

Notes

  • To print a frame or item on a Web page, right-click the frame or item, and then click Print.
  • You can preview how a Web page will look and see how many printed pages it will be by clicking the File menu and then clicking Print Preview.
  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Save a Web page on your computer

To save a Web page on your computer

  1. On the File menu, click Save As.
  2. Double-click the folder you want to save the page in.
  3. In the File name box, type a name for the page.
  4. In the Save as type box, select a file type.
  5. Do one of the following:
    • To save all of the files needed to display this page, including graphics, frames, and style sheets, click Web Page, complete. This option saves each file in its original format.
    • To save all of the information needed to display this page in a single MIME-encoded file, click Web Archive. This option saves a snapshot of the current Web page. This option is available only if you have installed Outlook Express 5 or later.
    • To save just the current HTML page, click Web Page, HTML only. This option saves the information on the Web page, but it does not save the graphics, sounds, or other files.
    • To save just the text from the current Web page, click Text Only. This option saves the information on the Web page in straight text format.

Notes

  • With Web Page, complete and Web Archive, you can view all of the Web page offline, without adding the page to your Favorites list and marking it for offline viewing.
  • When you choose Web Page, complete, only the current page is saved. If you want to view Web pages and the pages they link to while offline, click Related Topics below.


Saving pictures or text from a Web page

As you view pages on the Web, you’ll find information that you'd like to save for future reference or share with other people. You can save the entire Web page or any part of it: text, graphics, or links. You can print Web pages for people who don’t have access to the Web or a computer.

To do this | Try this
Save a page or picture without opening it. | Right-click the link for the item you want to save, and then click Save Target As.
Copy information from a Web page into a document. | Select the information you want to copy, and then on the Edit menu, click Copy.
Create a desktop shortcut to the current page. | Right-click in the page, and then click Create Shortcut.
Use a Web page image as desktop wallpaper (or background). | Right-click the image on the Web page, and then click Set as Wallpaper (or Set as Background).
Send a Web page in e-mail. | On the File menu, point to Send, and then click Page by E-mail or Link by E-mail. Complete the mail message window, and then send the message. Note that you must have an e-mail account and an e-mail program set up on your computer.


Save an image from a Web page

To save an image from a Web page

  1. In Internet Explorer, point to the image you want to save.

    The image toolbar appears over the corner of the image.

  2. Click Save image.

Notes

  • The image toolbar does not display for all images. The image must be at least 200 x 200 pixels to use the image toolbar. To save a smaller image, right-click anywhere on the image, and then click save.
  • Images are saved in the My Pictures folder unless you specify a different location. To open the My Pictures folder, click My Pictures folder.


Print an image from a Web page

To print an image from a Web page

  1. In Internet Explorer, point to the image you want to print.

    The image toolbar appears over the corner of the image.

  2. Click Print image.

Note

  • The image toolbar does not appear for all images. The image must be at least 200 x 200 pixels to use the image toolbar.


Understanding security and privacy features

Internet Explorer provides a number of features that help to protect your privacy and make your computer and your personally identifiable information more secure.

Privacy features allow you to protect your personally identifiable information by helping you to understand how Web sites you view may be using this information and by allowing you to specify privacy settings that determine whether or not you want to allow Web sites to save cookies on your computer.

Privacy features in Internet Explorer include:

  • Privacy settings that specify how your computer deals with cookies. Cookies are files created by a Web site that store information on your computer, such as your preferences when visiting that site. Cookies may also store personally identifiable information, such as your name or e-mail address.
  • Privacy alerts that let you know when you try to gain access to a site that doesn't meet the criteria in your privacy settings.
  • The ability to view a Web site's P3P privacy policy.

Security features help to prevent people from gaining access to information that you have not given them permission to access, such as credit card information you enter when shopping on the Internet. Security features can also protect your computer from unsafe software.

Security features in Internet Explorer include:

  • The ability to block most pop-up windows.
  • The ability to update, disable, or re-enable Web browser add-ons.
  • Enhanced security features to warn you when a Web site is trying to download files or software to your computer.
  • Digital signatures, which verify that a file comes from the person or publisher it claims to be from, and that no one has tampered with it since it was digitally signed.
  • 128-bit secure connection for using secure Web sites.

For more information about protecting your computer and your privacy online, visit the Microsoft Security and Privacy Web site (http://www.microsoft.com/) and the Microsoft Protect your PC Web site (http://www.microsoft.com/).


Using secure Internet sites for transactions

Many Internet sites are set up to prevent unauthorized people from seeing the information that is sent to or from those sites. These are called "secure" sites. Because Internet Explorer supports the security protocols used by secure sites, you can send information to a secure site with safety and confidence. (A protocol is a set of rules and standards that enable computers to exchange information.)

When you visit a secure Web site, it automatically sends you its certificate, and Internet Explorer displays a lock icon on the status bar. (A certificate is a statement verifying the identity of a person or the security of a Web site. For more information, click Related Topics below.)

If you are about to send information (such as your credit card number) to an insecure site, Internet Explorer can warn you that the site is not secure. If the site claims to be secure but its security credentials are suspect, Internet Explorer can warn you that the site might have been tampered with or might be misrepresenting itself.


Using certificates for privacy and security

You can use certificates to protect your personally identifiable information on the Internet and to protect your computer from unsafe software. A certificate is a statement verifying the identity of a person or the security of a Web site.

Internet Explorer uses two different types of certificates:

  • A personal certificate is a verification that you are who you say you are. This information is used when you send personal information over the Internet to a Web site that requires a certificate verifying your identity. You can control the use of your identity by having a private key on your computer. When used with e-mail programs, security certificates with private keys are also known as "digital IDs".
  • A Web site certificate states that a specific Web site is secure and genuine. It ensures that no other Web site can assume the identity of the original secure site. When you are sending personal information over the Internet, it is a good idea to check the certificate of the Web site you are using to make sure that it will protect your personally identifiable information. When you are downloading software from a Web site, you can use certificates to verify that the software is coming from a known, reliable source.

How do security certificates work?

A security certificate, whether it is a personal certificate or a Web site certificate, associates an identity with a public key. Only the owner of the certificate knows the corresponding private key. The private key allows the owner to make a digital signature or decrypt information encrypted with the corresponding public key. When you send your certificate to other people, you are actually giving them your public key, so they can send you encrypted information that only you can decrypt and read with your private key.

The digital signature component of a security certificate is your electronic identity card. The digital signature tells the recipient that the information actually came from you and has not been forged or tampered with.

Before you can start sending encrypted or digitally signed information, you must obtain a certificate and set up Internet Explorer to use it. When you visit a secure Web site (one whose address starts with https), the site automatically sends you its certificate.

Where do you get your own security certificates?

Security certificates are issued by independent certification authorities. There are different classes of security certificates, each one providing a different level of credibility. You can obtain your personal security certificate from certification authorities.


Securely sharing personal information

Profile Assistant can save you from having to enter the same information, such as your address or e-mail name, every time you visit a new Web site that requests such information. It does this by storing the information on your computer. None of this information can be viewed on your computer, or shared with others, without your permission.

When a Web site requests information from Profile Assistant, the request will tell you:

  • The Internet address of the site requesting the information.
  • What information the site is requesting from Profile Assistant, so you can choose to exclude information.
  • How this information will be used.
  • Whether this site has a secure connection (Secure Sockets Layer or SSL). If it does, you can verify the site's certificate.

You can encrypt your personal information when it is transmitted and as it is stored on your computer. For more information, click Related Topics.


Understanding cookies

Some Web sites store information in a small text file on your computer. This file is called a cookie.

There are several types of cookies, and you can choose whether to allow some, none, or all of them to be saved on your computer. If you do not allow cookies at all, you may not be able to view some Web sites or take advantage of customization features (such as local news and weather, or stock quotes).

Click a heading, or press the TAB key to highlight a heading, and then press ENTER.

How cookies are used

A cookie is a file created by an Internet site to store information on your computer, such as your preferences when visiting that site. For example, if you inquire about a flight schedule at an airline's Web site, the site might create a cookie that contains your itinerary. Or it might only contain a record of the pages you looked at within the site you visited, to help the site customize the view for you the next time you visit.

Cookies can also store personally identifiable information. Personally identifiable information is information that can be used to identify or contact you, such as your name, e-mail address, home or work address, or telephone number. However, a Web site only has access to the personally identifiable information that you provide. For example, a Web site cannot determine your e-mail name unless you provide it. Also, a Web site cannot gain access to other information on your computer.

Once a cookie is saved on your computer, only the Web site that created the cookie can read it.

Persistent cookies

A persistent cookie is one stored as a file on your computer, and it remains there when you close Internet Explorer. The cookie can be read by the Web site that created it when you visit that site again.

Temporary cookies

A temporary or session cookie is stored only for your current browsing session, and is deleted from your computer when you close Internet Explorer.

First-Party vs. Third-Party cookies

A first-party cookie either originates on or is sent to the Web site you are currently viewing. These cookies are commonly used to store information, such as your preferences when visiting that site.

A third-party cookie either originates on or is sent to a Web site different from the one you are currently viewing. Third-party Web sites usually provide some content on the Web site you are viewing. For example, many sites use advertising from third-party Web sites and those third-party Web sites may use cookies. A common use for this type of cookie is to track your Web page use for advertising or other marketing purposes. Third-party cookies can either be persistent or temporary.

Unsatisfactory cookies

Unsatisfactory cookies are cookies that might allow access to personally identifiable information that could be used for a secondary purpose without your consent.

Your choices in working with cookies

Internet Explorer allows the use of cookies; however, you can change your privacy settings to specify that Internet Explorer prompt you before placing a cookie on your computer (this enables you to allow or block the cookie); or you can prevent Internet Explorer from accepting any cookies.

You can use the Internet Explorer privacy settings to specify how you want Internet Explorer to handle cookies from individual Web sites or all Web sites. You can also customize your privacy settings by importing a file containing custom privacy settings, or by specifying custom privacy settings for all Web sites or individual Web sites.

Privacy settings only apply to Web sites in the Internet zone.

For more information about zones or privacy settings, click Related Topics.


How to decide if you can trust an e-mail message

E-mail is one way that viruses can be spread across the Internet. When you open an infected e-mail message, the virus can be transmitted to your computer—and then your computer can infect other computers where your e-mail is sent.

Before you open an e-mail message, think about these four things:

  • Do you know the person who sent you the e-mail message?

    Is this a person, organization, or business you know and trust? If you get e-mail from someone you've never heard of before, be more cautious.

  • Have you received e-mail from this source before?

    If you get e-mail from someone you know but you've never received e-mail from them before, ask yourself if there is any reason you're getting this message now. If the answer is no, think twice before opening it.

  • Do you have reason to expect e-mail from this person?

    Are you surprised to see this e-mail? If it seems unusual or strange to be getting e-mail from this person, be cautious about opening the message.

  • Does the message on the subject line make sense?

    Does the subject line refer to something this person would want to send you a message about? If the subject line is just gibberish or doesn't make sense, you should be cautious.

If you are not sure that the e-mail you received is trustworthy, don't hesitate to send a separate message back to the sender asking if they really sent the e-mail to you. It's much easier to check before you open the message than it is to clean some viruses off of your computer.

One essential action to take:

  • Before you open any e-mail that has an attachment, make sure that your antivirus program is up to date and that it's turned on. This allows it to scan attachments with a greater chance of protection.


What you should know about opening files from the Internet or e-mail

The most common way for computer viruses to spread is through files that you get from the Internet or e-mail. So before you download a file or click an e-mail attachment, consider:

Does that file have a virus?

You won't know unless you check. Make sure you have an antivirus program installed and that it is up to date and set to scan all incoming e-mail attachments and downloaded files. Keeping your antivirus program up to date improves its chances of catching the latest known virus.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp).

What do you know about that e-mail attachment?

Before you open an e-mail message or attachment, consider:

  • Do you know and trust the sender of the e-mail message? If you get e-mail from a person or business you’ve never heard of before, you should be cautious.
  • Have you exchanged e-mail with this person before? If you get e-mail from someone you know but have never corresponded with, ask yourself if there is any reason you’re getting this message now—especially if the message has a file attachment or contains a link to a Web site.
  • Do you have any reason to expect e-mail from this person? If you are surprised to see e-mail from this person, be cautious about opening the message.
  • Does the message on the subject line make sense coming from the sender? If the subject line is just gibberish or nonsense, you’ll be safer if you delete the message.

If the answer to all of the questions above is no, it's probably best to delete the message.

If you know the sender of the message but the message looks suspicious, don't hesitate to send a message to the sender asking if they really sent the e-mail to you. It’s much easier to check before you open the message than it is to clean viruses off of your computer.

Can I trust every Web site?

Not every Internet neighborhood is safe. Be cautious of a Web site if…

  • You were referred to the site by e-mail from someone you don’t know.
  • The site contains objectionable material, such as pornography.
  • The site makes offers that seem too good to be true. Is it just trying to lure you to the site?
  • You are asked to provide a credit card number but there is no indication that the Web site ensures its transactions are secure.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.

More trustworthy sites tend to…

  • Be certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust. Look for their logo on the site and click the logo to make sure it is authentic.
  • Provide a privacy statement that you can understand and that you are comfortable with.
  • Provide a way to contact the creator or organization—a physical location, phone number, e-mail address, or mailing address.
  • Have a clearly posted return policy (when applicable) that allows you to return the merchandise if you are not satisfied.
  • Offer proof of secure transactions, such as a statement that your credit card information will be encrypted, or a symbol in the browser status area that indicates the transaction is secure.

Is it safe to download that file?

You can help protect your computer by thinking carefully before you download a file.

  • Heed any warnings. When a Web site attempts to download a file to your computer, Internet Explorer will display a message about saving, running, or installing the file. If the message contains a yellow caution icon, then the file has been identified as a type that could pose a risk.
    • Make sure the message shows the file source (publisher name). If the publisher can't be identified, it is safer to delete the file unless you know for certain who created it.
    • Make sure you completely trust the Web site providing the file.
    • Make sure the file is something you requested or are expecting.
  • Consider the content. Picture, music, and plain-text files are less likely to be harmful. These file types have names that end with a three-letter extension such as .jpg, .gif, .mp3, or .txt. You should be very cautious with all other file types.


Protecting your computer from unsafe software

When you download or run programs from the Internet, you want to know that the program comes from a known, reliable source. That's why, when you choose to download a program from the Internet to your computer, Internet Explorer uses Microsoft Authenticode technology to verify the identity of the program. Authenticode technology verifies that the program has a valid certificate: that the identity of the software publisher matches the certificate, and that the certificate is still valid. Note that this does not prevent a poorly written program from being downloaded or run on your computer, but it does reduce the chance of someone misrepresenting a program that is intended to be malicious or intentionally harmful.

You can specify different settings for the way Internet Explorer handles downloading programs and files, depending on the zone they are coming from.

For example, you might be confident that anything you download within your corporate intranet is safe. So, you might set your security settings for your Local intranet zone to a low level to allow downloading with little or no prompting. If the source is in the Internet zone or the Restricted sites zone, you might want your security levels set to Medium or High. Then, you'd be prompted with information about the program's certificate before it is downloaded, or you might not be able to download it all.


How to decide if you can trust a Web site

How do you know which Web sites you can trust? Some Web sites request personal information that you would rather keep private, display advertisements you do not want to see, or expose your computer to software that contains viruses or other security threats. It's difficult to be completely certain, but there are a few key things to look for.

  • Is it certified by an Internet trust organization such as BBBonline, TRUSTe, or WebTrust?

    Sites that display privacy certification logos have agreed to follow certain practices like providing a comprehensive privacy statement. If you read these statements, you should be able to determine what data the site collects and what the site does with that data (for example, share it with a third party or use it to display personalized advertisements). The certification does not mean that the site collects no data. It means that the privacy statement will tell you what data the site collects so you can decide if you want to use that Web site.

  • Is the site from an organization you know and already trust?

    For example, it a vendor you have a positive ongoing relationship with or a widely recognized brand or institution that you trust? The site should provide a privacy statement or a Terms of Use statement. Reading these statements should make it clear what will happen when you use the site. If you are not comfortable with the terms or behaviors (for example, you do not want to be tracked or to see advertisements), do not use the site.

  • If you don't recognize the site, do you have other information to help you decide?

    You should thoroughly research the site before using its services. Read the site's disclosures, ask friends and colleagues you trust, and search the Web for positive or negative articles about the site.

  • Does it ask you to provide sensitive personal data?

    If you are asked to provide sensitive personal data (such as your password, social security number, credit card number, or bank information), only do so if there is a valid reason and if the site uses a secure method to collect this data. Look for a statement indicating this information will be encrypted or look for the golden padlock symbol in your browser status area to indicate that the information will be transferred using secure methods.

  • If it is a retail site, does it have a return policy?

    When making a purchase on a Web site, verify that the site has a posted return policy and that the terms are acceptable to you.

Be cautious of a Web site if…

  • You were referred to the site by e-mail from someone you do not know.
  • The site contains objectionable material such as pornography.
  • The site makes offers that seem too good to be true. Are they just trying to lure you to their site?
  • You are asked to provide a credit card number without proof that the transaction is secure.
  • The site offers free membership but asks you to provide extensive personal information that does not seem necessary or that you do not want to provide.


Why Windows blocks the installation of some files

To help protect your computer from potentially harmful files, Windows XP Service Pack 2 (SP2) will sometimes block the installation of files that you might request or receive over the Internet. This will happen if the file contains an ActiveX control or Web browser add-on that does not have a valid digital signature.

What are ActiveX controls and Web browser add-ons?

ActiveX controls and Web browser add-ons are small programs that are used extensively on the Internet. They can make browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more. These programs can, however, malfunction or give you content you don't want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install ActiveX controls or add-ons if you completely trust the publisher.

What is a digital signature and what does it tell me about a file?

A digital signature is a way to electronically mark a file with information. In this way, the file is signed by the creator (publisher). A valid digital signature tells you two things about a file: the publisher name and that the file has not been changed after it was signed. Any tampering makes the signature invalid.

If a file signature is invalid, or information in the digital signature seems suspicious, don't open the file. This helps you avoid situations where someone might post a file that does not belong on a Web site, or add harmful content to a file that isn't theirs.

Keep in mind that a digital signature does not promise a harmless file. A signed file could still contain harmful code if it was created that way. That’s why, when you start to open certain file types from e-mail, Windows will ask if you want to open the file—even if it has a valid digital signature.

Click Related Topics for information about digital signatures and how they can help you decide which files to open or install.

Important

The default security settings in Internet Explorer are designed to help protect your computer from viruses and attacks over the Internet. Microsoft strongly recommends that you leave these security settings at their default level or higher.

Note

  • Windows will also block files from publishers that you (or an administrator on your computer or network) have blocked. Click Related Topics for more information about blocked publishers.


What you should know about running scripts and ActiveX controls in Internet Explorer

Be cautious about allowing Web sites to run scripts or ActiveX controls on your computer. While these items can enhance Web browsing, they can also be a security risk, and it’s best to avoid using them when you can. However, some Web sites or tasks might require them and you will have to decide whether to trust ActiveX controls that Internet Explorer blocks for your safety.

What are scripts and ActiveX controls?

Scripts, ActiveX controls, and other Web browser add-ons are used extensively on the Internet. They can make browsing more enjoyable by providing toolbars, stock tickers, video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

What should you do about ActiveX controls and scripts running on your computer?

Use the default security settings in Internet Explorer. These settings will help protect you. If you feel like you need more protection while browsing the Internet, it's OK to increase your browser’s default security settings.

Important

The default security settings in Internet Explorer are designed to help protect your computer from viruses and attacks over the Internet. Microsoft strongly recommends that you leave these security settings at their default level or higher.


What's a digital signature?

A digital signature:

  • Allows you to verify the publisher of a file.
  • Verifies that the file has not changed since it was digitally signed.

What if a file does not have a valid digital signature?

If the file does not have a valid digital signature, there is no way for you to be sure that the file is actually from the source it claims to be from, or that it has not been tampered with (possibly by a virus) since it was published. It's safer to avoid opening the file unless you know for certain who created it and whether the contents are safe to open. Click Related Topics for information about various file types.

Does a valid digital signature mean that the file is safe?

A valid digital signature does not verify that the contents of the file are harmless. You must decide if you should trust the contents of the file. Click Related Topics for information about deciding whether you should open a file you've downloaded.


Block or unblock a publisher

To block or unblock a publisher

To unblock a publisher

  1. Open Internet Explorer.
  2. On the Tools menu, click Internet Options.
  3. Click the Content tab, and then click Publishers.
  4. On the Untrusted Publishers tab, click the publisher you want to unblock, and then click Remove.

To block a publisher

If a file is being downloaded to your computer, you might see a security warning dialog box. If it has a More options button, you have the ability to prevent this publisher from downloading more software to your computer.

  1. On the security warning message, click More options.
  2. Click Never install software from "publisher name".


Frequently asked questions about the Internet Explorer Pop-up Blocker

Many advertisers on the Internet use pop-up windows to display their message in a way that is hard to miss. Internet Explorer allows you to prevent most pop-up windows from appearing over pages you want to view while you are using the Internet.

What is a pop-up window?

Pop-up windows are small Web browser windows that are frequently used for advertising. They often open as soon as you navigate to a Web site, whether you want to see them or not. They might open when you click a link or button on a Web site, and they might open either over or under the window you wish to view.

Some pop-ups that you open by clicking a link or button are helpful. For example, if you click an image to see a larger version, it might open in a pop-up window. Or if you are buying concert tickets online, you might click a link to see a seating diagram that opens in a pop-up window.

How do I set Internet Explorer to block pop-ups?

Pop-up Blocker is on by default. You should only need to turn it on if someone has turned it off.

  • On the Tools menu, point to Pop-up Blocker.
  • Click Turn on Pop-up Blocker.

Can I still see a pop-up that Internet Explorer blocked?

Yes. Follow the steps below (the Information Bar has to be visible to do this):

  1. In Internet Explorer, underneath the Address Bar, click the Information Bar when it notifies you that a pop-up window has been blocked.
  2. Click Show Blocked Pop-up. Internet Explorer might block multiple pop-ups at one time. If this happens, click Pop-up Blocked and then click Show Blocked Pop-up.

In some cases, the Web site might display a different pop-up than the one that was blocked, or not show a pop-up at all.

How do I see pop-ups from a specific Web site?

The default settings for the pop-up blocker allow you to see pop-ups that are opened when you click a link or button on a Web site. There might be some Web sites that you visit on a regular basis, and you want to see the pop-ups displayed by those sites. Just follow the steps below:

  1. Open Internet Explorer.
  2. On the Tools menu, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  3. In the Address of Web site to allow box, type the address (or URL) of the Web site you want to see pop-ups from, and then click Add.

I turned on the pop-up blocker but I still see some pop-ups. Why?

There could be several reasons for this.

  • You could have software on your computer that is launching pop-ups. To stop these pop-ups, you will have to identify the software, then remove it or change its settings to stop it from launching pop-ups.
  • Some windows with animated content are not blocked.
  • Internet Explorer will not block pop-ups from Web sites that are in two Web content zones: Local intranet or Trusted sites.

    • Click here for steps to remove a site from Web content zones that allow pop-ups.

    1. Open Internet Explorer.
    2. On the Tools menu, click Internet Options.
    3. Click the Security tab.
    4. Click the Web content zone you want to block pop-ups from, and then click Sites.
      • If you are removing a Web site from the Local intranet zone, click Advanced, and then go to step 5.
    5. In the Web sites box, click the Web site you want to block pop-up windows from, and then click Remove.
  • Internet Explorer will not block pop-ups that have been added to the list of sites you allow pop-ups from.

    • Click here for steps to change which sites are allowed to show pop-ups.

    1. Open Internet Explorer.
    2. On the Tools menu, point to Pop-up Blocker, and click Pop-up Blocker Settings.
    3. In the Address of Web site to allow box, click the Web site you want to remove from the list, and then click Remove.

I don't want to see pop-ups, even if they are launched when I click a link or button on a Web site. Can I set Internet Explorer to block those also?

Yes. Follow the steps below:

  1. Open Internet Explorer.
  2. On the Tools menu, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  3. Select the High setting in the box near the bottom of the dialog box.

If you want to see pop-ups that are blocked when you have this setting turned on, hold down the CTRL key while the window opens.

How do I change the Pop-up Blocker settings?

  1. Open Internet Explorer.
  2. On the Tools menu, point to Pop-up Blocker, and then click Pop-up Blocker Settings.


Understanding Internet Explorer's Information Bar

Understanding the Internet Explorer Information Bar

Internet Explorer displays an Information Bar (just below the address bar) where you can see information about downloads, blocked pop-up windows, and other activities. This information helps you to avoid potentially harmful files that you might otherwise accept from the Internet.

When will I see the Information Bar?

If Internet Explorer default settings are on, you'll see the Information Bar when a Web site tries to:

  • Install an ActiveX control on your computer.
  • Open a pop-up window.
  • Download a file to your computer.
  • Run active content on your computer.
  • Run an ActiveX control on your computer in an unsafe manner.

How does the Information Bar help me?

You get notified when Internet Explorer blocks:

  • A control or active content on a Web page. Internet Explorer still allows the rest of the Web page to open, which lets you see how the Web page works without the control. Many times you will not notice any difference, but your computer is less vulnerable when you don't install controls that you don't need.
  • A Web site from downloading a file to your computer. It will still allow you to download the file if you want to, but this prevents the Web site from downloading any files without your knowledge or permission.

How do I use the Information Bar?

When you see a message in the Information Bar, you can click the message to see more information or to take action.

Can I turn off the Information Bar?

Yes. You can, but we don't recommend it. If you do want to turn it off, you have to turn it off for each type of message.

To turn off Information Bar messages about blocked pop-up windows

  1. Open Internet Explorer.
  2. On the Tools menu, point to Pop-up Blocker, and then click Pop-up Blocker Settings.
  3. Clear the Show Information Bar when a pop-up is blocked check box.

To stop blocking file and software downloads with the Information Bar

This procedure will allow Web sites to automatically prompt you when downloading files and software (bypassing the Information Bar).

  1. Open Internet Explorer.
  2. On the Tools menu, click Internet Options.
  3. On the Security tab, click Custom Level.
  4. Do one or both of the following:

    • To turn off the Information Bar for file downloads, in the Downloads section of the list, under Automatic prompting for file downloads, click Enable.
    • To turn off the Information Bar for ActiveX controls, in the ActiveX controls and plug-ins section of the list, under Automatic prompting for ActiveX controls, click Enable.

What are the messages that might be displayed in the Information Bar?

"To help protect your security, Internet Explorer stopped this site from installing an ActiveX control on your computer. Click here for options…"

This message appears when a Web page tries to install an ActiveX control and Internet Explorer blocks it. This allows you to see how the Web page functions without the ActiveX control; often, you will be able to view or use the Web page without downloading the control and potentially encountering a security risk. Because ActiveX controls are potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install it on your computer.

To install the ActiveX control:

  1. Click the Information Bar.
  2. Click Install Software.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

"To help protect your security, Internet Explorer blocked this site from downloading files to your computer. Click here for options…"

This message appears when a Web page tries to download a file that you might not have specifically requested. This allows you to see how the Web page functions before you decide whether you want to download the file. Many Web pages will continue to work fine. Because files can contain software that can affect the performance of your computer or access the information on your computer, you should be certain that you know what the file contains and that you trust its publisher before you consider downloading it.

If you are certain that you want to download the file, follow the steps below:

  1. Click the Information Bar.
  2. Click Download File.
  3. When you are prompted to download the file, read the information in the dialog box very carefully. Make sure the file is from a Web site that you absolutely trust.

Click Related Topics for more information about how to decide if you should trust a Web site or publisher.

"Your security settings do not allow Web sites to use ActiveX controls installed on your computer. This page may not display correctly. Click here for options…"

This message appears when a Web page tries to use an ActiveX control or script and your security settings won't allow it. Because ActiveX controls could create a potential hazard to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install it on your computer. Some Web sites could attempt to use ActiveX controls that you don't want them to use.

If you are certain that you want to allow the Web site to use this ActiveX control, you can follow the steps below:

  1. On the Tools menu, click Internet Options.
  2. On the Security tab, click Default Level.

If you are unable to change this setting, your administrator might have control over the setting.

Click Related Topics for more information about how to decide if you should trust a Web site or publisher.

"Internet Explorer has blocked this site from using an ActiveX control in an unsafe manner. As a result this page may not display correctly."

This message appears when a Web site tries to access an ActiveX control on your computer without your permission. Internet Explorer will block this action. To avoid possible damage to your computer, you should not try to work around this.

"To help protect your security, Internet Explorer has restricted this file from showing active content that could access your computer. Click here for options..."

This message appears when a Web page on your computer tries to run a script or ActiveX control. Internet Explorer blocks this activity so that you can see how the Web page functions without the script or ActiveX control; often, you will be able to view or use the Web page without using the active content and potentially encountering a security risk. Because scripts and ActiveX controls are a potential hazard to your computer, you should be certain that you trust the publisher of the script or ActiveX control before you decide to give it access to your computer.

If you are certain that you want to allow the page to run scripts and ActiveX controls on your local machine, follow the steps below:

  1. Click the Information Bar.
  2. Click Allow Blocked Content.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

"This content might not be displayed properly. The file was restricted because the content doesn’t match its security information. Click here for options..."

You should be sure that you know what the file will do to your computer before you decide to display the content without restrictions. This situation might pose a security risk to your computer.

To display this content without restrictions, follow the steps below:

  1. Click the Information Bar.
  2. Click Show Restricted Content.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

"This site might require the following ActiveX control: Name. From: Publisher. Click here to install..."

This message appears when a Web page tries to install an ActiveX control that has a valid digital signature. The page will open without using the control. This allows you to see how the Web page functions without the ActiveX control; often, you will be able to view or use the Web page without installing the control. Because ActiveX controls can be potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install the control on your computer.

If you want to install this ActiveX control onto your computer, click the Information Bar to install it.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

Important

The default security settings in Internet Explorer are designed to help protect your computer from viruses and attacks over the Internet. Microsoft strongly recommends that you leave these security settings at their default level or higher.


Web browser add-ons: what you need to know

Web browser add-ons add functionality—like extra toolbars, animated mouse pointers, stock tickers, and pop-up ad blockers—to your Web browser to make browsing a little more fun or effective.

How add-ons end up on your computer

Many add-ons come from the Internet. Most add-ons from the Internet require that you give your permission before they are downloaded to your computer. Some, however, might be downloaded without your knowledge. This can happen if you previously gave permission for all downloads from a particular Web site or because the add-on was part of another program that you installed. Some add-ons are installed with Microsoft Windows.

Some add-ons can shut down your browser

Add-ons are typically fine to use, but sometimes they force Internet Explorer to shut down unexpectedly. This can happen if the add-on was poorly built or created for an earlier version of Internet Explorer.

Here's what you can do:

  • Update it: If the add-on is an ActiveX component, you should check to see if the item has been updated.
  • Disable it: If an add-on causes repeated problems, you can disable the add-on.
  • Report it: When prompted, please allow the problem to be reported to Microsoft. This is completely anonymous and requires nothing from you but permission. These reports are used to improve our products and to encourage other companies to update and improve theirs.

See all add-ons for Internet Explorer

To see all add-ons for my Web browser

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. In the Show box, click the set of add-ons that you want to see.

Note

  • Add-ons are sorted into two groups in the Show box. Add-ons that have been used by Internet Explorer is a complete list of the add-ons that reside on your computer. Add-ons currently loaded in Internet Explorer are only those that were needed for the current Web page or a recently viewed Web page.

Update ActiveX add-ons

To update ActiveX add-ons

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. Click the Show arrow, and then click Add-ons that have been used by Internet Explorer.
  4. In the list of add-ons, click the add-on you want to update, and then click Update ActiveX.

Disable a browser add-on

To disable a browser add-on

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. Click the add-on you want to disable and then click Disable.

Notes

  • Some Web pages, or Internet Explorer, might not display properly if an add-on is disabled. It is recommended that you only disable an add-on if it repeatedly causes Internet Explorer to close.
  • Add-ons can be disabled but not easily removed.

Re-enable a browser add-on

To re-enable a browser add-on

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. Click the add-on you want to enable and then click Enable.

Note

  • You might want to do this if you disabled an add-on but want to see a site that requires it, or if disabling the add-on caused general display problems with Web pages or Internet Explorer.

Unblock a publisher

To unblock a publisher

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. On the Blocked list, click the add-on for the publisher you want to unblock.
  4. Near the bottom of the dialog, click Allow.

Note

  • Unblocking a publisher will enable all add-ons that are digitally signed by that publisher on your computer

Notes

  • If (Not verified) is displayed in the Publisher column, the add-on itself is not digitally signed even though the program that installed it might be.
  • Some add-ons might have been disabled by an administrator. In that case, the add-on will not show up on the list of add-ons, or you will not be able to enable it. In order to use the add-on the administrator will have to enable it.


Disable a browser add-on

To disable a browser add-on

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. Select the add-on you want to disable, and then click Disable.

Notes

  • Some Web pages, or Internet Explorer, might not display properly if an add-on is disabled. It is recommended that you only disable an add-on if it repeatedly causes Internet Explorer to close.
  • Add-ons can be disabled but not easily removed.


Re-enable a browser add-on

To re-enable a browser add-on

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. Select the add-on you want to enable, and then click Enable.

Note

  • You might want to do this if you disabled an add-on but want to see a site that requires it, or if disabling the add-on caused general display problems with Web pages or Internet Explorer.


See all add-ons for my Web browser

To see all add-ons for my Web browser

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. In the Show box, select the set of add-ons you want to see.

Note

  • Add-ons are sorted into two groups in the Show box. Installed add-ons are a complete list and include all of the add-ons that reside on your computer. Loaded add-ons are only those that were needed for the current Web page or a recently-viewed Web page.


Update ActiveX add-ons

To update ActiveX add-ons

  1. Open Internet Explorer.
  2. On the Tools menu, click Manage Add-ons.
  3. In the Show box, click the arrow and select Add-ons that have been used by Internet Explorer.
  4. In the list of add-ons, click the add-on you want to update, and then click Update ActiveX.


Tips for Netscape users

Whether you are switching from Netscape Navigator or just want to use more than one browser, it's easy to learn and use Internet Explorer. From keyboard shortcuts to bookmarks, you can make the transition simple and fast.

  • Keep unique and separate settings for Internet Explorer and Netscape Navigator. If you installed another Web browser after installing Internet Explorer and Internet Tools, some of your Internet Explorer settings may have changed. For more information, click:

    Resetting Internet Explorer settings

  • Compare terms in Navigator and Internet Explorer. If you've used Navigator in the past, you may find that words for common actions or features are different in Internet Explorer. For more information, click:

    Browser terms in Navigator and Internet Explorer

  • Keep all of your bookmarks as favorites. Internet Explorer automatically imports all of your bookmarks (without altering your bookmarks as they are displayed in Navigator) as Internet Explorer favorites. For more information, click:

    Sharing bookmarks and favorites

  • Use your favorite keyboard shortcuts. Internet Explorer and Navigator share many of the same keyboard shortcuts. In addition, Internet Explorer is fully accessible using the keyboard, so you can park your mouse if you want to. For more information, click:

    Internet Explorer keyboard shortcuts

  • Customize how Internet Explorer looks, how you connect, your security settings, and many other options. These settings and more are available by clicking the Tools menu and then clicking Internet Options.


Change the appearance of the Windows toolbar

To change the appearance of the Windows toolbar

  • You can add or remove standard toolbar buttons, use smaller toolbar buttons like the ones used in Microsoft Office, and change the order they are displayed on the toolbar. Just right-click the toolbar, and then click Customize.
  • You can move or resize the Address bar and Links bar by dragging them up, down, left, or right. You can even move them into the menu bar!
  • You can hide the Address bar or Links bar by right-clicking the toolbar, and then clearing the check mark for each item you want to hide.
  • You can add items to the Links bar by dragging the icon from the Address bar or dragging a link from a Web page.
  • You can rearrange items on the Links bar by dragging them to a new location on the bar.


Changing Web page fonts and background colors

When Web authors and designers create Web pages, they often specify particular type (font) faces, colors, sizes, and background colors. These settings are specified for each item, or in a "style sheet", which is a type of template for specifying how different styles should appear throughout a Web page or site.

You can override any or all of these settings, which is useful if you have limited or low vision. You can specify your font and color preferences for all pages that do not use style sheets, and then you can specify whether to use any or all of your preferences on pages that use style sheets.

For more information, click Related Topics below.


Correctly display Web pages encoded in any language

To correctly display Web pages encoded in any language

Most Web pages contain information that tells the browser what language encoding (the language and character set) to use.

If the page does not include that information, and you have the Language Encoding Auto-Select feature on, Internet Explorer can usually determine the appropriate language encoding.

To turn Auto-Select on

  • On the View menu in Internet Explorer, point to Encoding, and then make sure Auto-Select has a check mark. If it doesn't, select it.

    If you are prompted to download language support components, click Download.

If Auto-Select cannot determine the correct language encoding, and you know what language encoding it should be, you can manually select it.

To select the language encoding for a Web page

  • On the View menu, point to Encoding, point to More, and then click the appropriate language.

    If you are prompted to download language support components, click Download.

Notes

  • If the Auto-Select feature or a specific language pack is not installed on your computer, Internet Explorer prompts you to download the files as needed.
  • Adding languages does not guarantee that your computer has a font that can display Web pages in your preferred languages. To be prompted when fonts need to be added, on the Tools menu, click Internet Options, click the Advanced tab, and then select the Enable Install On Demand check box.
  • You can add a Language Encoding button to your toolbar to make switching between languages quicker.


Turn off graphics to display all Web pages faster

To turn off graphics to display all Web pages faster

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. Click the Advanced tab.
  3. Under Multimedia, clear one or more of the Show pictures, Play animations, Play videos, or Play sounds check boxes.

Notes

  • If the Show pictures or Play videos check box is cleared, you can still display an individual picture or animation on a Web page by right-clicking its icon, and then clicking Show Picture.
  • If the pictures on the current page are still visible after you clear the Show pictures check box, you can hide them by clicking the View menu, and then clicking Refresh.


Create more space for temporary Internet pages

To create more space for temporary Internet pages

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the General tab, click Settings.
  3. To create more space to store pages temporarily, move the slider to the right.


Using accessibility features in Internet Explorer

In addition to Microsoft Windows accessibility products and services, the following features make Internet Explorer more accessible for people with disabilities.

Click a heading, or press the TAB key to highlight a heading, and then press ENTER.

Keyboard access

All features in Internet Explorer are accessible through the use of the keyboard or the mouse.

With Internet Explorer, you can use the keyboard to explore the Web. Just press TAB and SHIFT+TAB to move forward and backward between screen elements such as:

  • Links that are text or images
  • Hot spots on image maps
  • The Address bar
  • The menu bar
  • The Links bar
  • Frames

For more information about keyboard access, see Internet Explorer keyboard shortcuts.

Highlighting box

As you move to or click a link or image, a thin border appears around it so you can see what is selected.

Customize the font size, formatting, colors

You can specify the font sizes, styles, and colors, and foreground and background colors of Web pages displayed on your computer screen, even if the author of the Web page has already specified these. You can also specify the color used to indicate links in Web pages, or a special color for links that is used only when the mouse passes over the link.

These customizations are useful if you have low vision, need larger fonts, or need high-contrast colors. You can set Internet Explorer to use the colors and fonts you specify, the default Windows colors and fonts, or the settings you specify in your own style sheet.

For more information, see Changing Web page fonts and background colors.

Customize the toolbar

You can customize the toolbar by adding or removing buttons, changing the size of icons, and showing or hiding the text on labels.

Just right-click the toolbar, and then click Customize.

If you have low vision, you might want to add the Size button for quick access to the relative font size.

If you are using a screen reader, you might want to select Small Icons in the Icon Options list, and No text labels in the Text Options list to maximize the amount of screen space available for Web content.

Use AutoComplete

This feature saves you time when you are typing Web addresses or completing entries on Web pages, by displaying a list of previous matching entries as you type. To turn AutoComplete on or off, on the Tools menu, click Internet Options, click the Content tab, and then click the AutoComplete button. If you have cognitive disabilities, you might want to clear the check boxes to avoid distractions. If you use a blind-access utility, you might want to clear the check boxes if your accessibility aid reads the suggestions as they appear, making typing difficult.

Advanced options that make Internet Explorer more accessible

  1. On the Tools menu in Internet Explorer, click Internet Options, and then click the Advanced tab.
  2. Change the following settings as needed:
    • Move system caret with focus/selection changes

      If you use a screen reader, you might want to select this check box. Some screen readers or screen magnifiers use the system caret to determine which area of the screen to read or magnify.

    • Always expand alt text for images

      Select this check box if you rely on alternate (ALT) text instead of viewing the actual pictures (that is, you've cleared the Show pictures check box). This ensures that the text is not cut off if the amount of text is larger than the image area.

    • Use smooth scrolling and Enable page transitions

      If you use a screen magnification or screen reader program, you might want to clear these check boxes. If you use a voice recognition program, and you experience recognition errors during smooth scrolling and transitions, you might also want to clear these check boxes.

    • Show pictures, Play animations, and Play videos

      If you have low vision, you might want to clear these check boxes to improve performance. If you are sensitive to screen flashing, you might also want to clear these check boxes.

    • Play sounds

      If you have cognitive disabilities, you might want to clear this check box to prevent distractions. If you are blind, you might want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

    • Print background colors and images

      If you have low vision, you might want to clear this check box to improve print legibility.


Specify font and color settings to always use for Web pages

To specify fonts and colors to always use for Web pages

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. On the General tab, click Accessibility.
  3. Change the settings as needed.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Using Internet Explorer keyboard shortcuts

Internet Explorer keyboard shortcuts

You can use shortcut keys to view and explore Web pages, preview pages before printing, use the Address bar, work with favorites, and edit.

Click a heading, or press the TAB key to highlight a heading, and then press ENTER.

Viewing and exploring Web pages

To do this | Press this
Display Internet Explorer Help, or when in a dialog box, display context Help on an item. | F1
Toggle between full-screen and regular views of the browser window. | F11
Move forward through the items on a Web page, the Address bar, and the Links bar. | TAB
Move back through the items on a Web page, the Address bar, and the Links bar. | SHIFT+TAB
Go to your Home page. | ALT+HOME
Go to the next page. | ALT+RIGHT ARROW
Go to the previous page. | ALT+LEFT ARROW or BACKSPACE
Display a shortcut menu for a link. | SHIFT+F10
Move forward between frames. | CTRL+TAB or F6
Move back between frames. | SHIFT+CTRL+TAB
Scroll toward the beginning of a document. | UP ARROW
Scroll toward the end of a document. | DOWN ARROW
Scroll toward the beginning of a document in larger increments. | PAGE UP
Scroll toward the end of a document in larger increments. | PAGE DOWN
Move to the beginning of a document. | HOME
Move to the end of a document. | END
Find on this page. | CTRL+F
Refresh the current Web page. | F5 or CTRL+R
Refresh the current Web page, even if the time stamp for the Web version and your locally stored version are the same. | CTRL+F5
Stop downloading a page. | ESC
Go to a new location. | CTRL+O or CTRL+L
Open a new window. | CTRL+N
Close the current window. | CTRL+W
Save the current page. | CTRL+S
Print the current page or active frame. | CTRL+P
Activate a selected link. | ENTER
Open the Search bar. | CTRL+E
Open the Favorites bar. | CTRL+I
Open the History bar. | CTRL+H
In the History or Favorites bars, open multiple folders. | CTRL+click

Using Print Preview

To do this | Press this
Set printing options and print the page. | ALT+P
Change paper, headers and footers, orientation, and margins for this page. | ALT+U
Display the first page to be printed. | ALT+HOME
Display the previous page to be printed. | ALT+LEFT ARROW
Type the number of the page you want displayed. | ALT+A
Display the next page to be printed. | ALT+RIGHT ARROW
Display the last page to be printed. | ALT+END
Zoom out. | ALT+MINUS
Zoom in. | ALT+PLUS
Display a list of zoom percentages. | ALT+Z
Specify how you want frames to print. This option is available only if you are printing a Web page that uses frames. | ALT+F
Close Print Preview. | ALT+C

Using the Address bar

To do this | Press this
Select the text in the Address bar. | ALT+D
Display a list of addresses you've typed. | F4
When in the Address bar, move the cursor left to the next logical break in the address (period or slash). | CTRL+LEFT ARROW
When in the Address bar, move the cursor right to the next logical break in the address (period or slash). | CTRL+RIGHT ARROW
Add "www." to the beginning and ".com" to the end of the text typed in the Address bar. | CTRL+ENTER
Move forward through the list of AutoComplete matches. | UP ARROW
Move back through the list of AutoComplete matches. | DOWN ARROW

Working with favorites

To do this | Press this
Add the current page to your favorites. | CTRL+D
Open the Organize Favorites dialog box. | CTRL+B
Move selected item up in the Favorites list in the Organize Favorites dialog box. | ALT+UP ARROW
Move selected item down in the Favorites list in the Organize Favorites dialog box. | ALT+DOWN ARROW

Editing

To do this | Press this
Remove the selected items and copy them to the Clipboard. | CTRL+X
Copy the selected items to the Clipboard. | CTRL+C
Insert the contents of the Clipboard at the selected location. | CTRL+V
Select all items on the current Web page. | CTRL+A

Using the Information Bar

To do this | Press this
Move focus to the Information Bar | ALT+N
Click the Information Bar | SPACEBAR


Add a page to your list of favorite pages

To add a page to your list of favorite pages

  1. Go to the page that you want to add to your Favorites list.
  2. On the Favorites menu, click Add to Favorites.
  3. Type a new name for the page if you want to.

Notes

  • To open one of your favorite pages, on the Favorites menu, click the page you want to open.
  • As your list of favorite pages grows, you can organize them by moving them into subfolders.


Add a page to the Links bar

To add a page to the Links bar

The Links bar is located next to the Address bar in Internet Explorer, and is a convenient place to add links to a few Web pages that you use frequently. Just click the link to display the page.

You can add a page to the Links bar in a variety of ways:

  • Drag the icon for the page from your Address bar to your Links bar.
  • Drag a link from a Web page to your Links bar.
  • Drag a link to the Links folder in your Favorites list.

Notes

  • If the Links bar does not appear on the toolbar, on the View menu, point to Toolbars, and then click Links.
  • You also can organize your links by dragging them to a different location on the Links bar.


Adjust AutoComplete settings

To adjust AutoComplete settings

You can configure AutoComplete to save and suggest only the information you want. You can choose whether to use AutoComplete for Web addresses, forms, and passwords, or not use it all. You can also clear the history for any of these.

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Content tab.
  3. Under Personal information, click AutoComplete.
  4. Select the check boxes for the AutoComplete options you want to use.


Learning how to browse the Web faster and easier

Learning how to browse the Web faster and more easily

If you learn just a few basic things about browsing the Web, such as how to use the buttons on the Internet Explorer toolbar, you'll find that browsing the Web is easier and faster.

To start browsing the Web, click any link on your home page, which is the page that appears when you start Internet Explorer. You can see whether an item on a page is a link by moving the mouse pointer over the item. If the pointer changes to a hand, the item is a link. A link can be a picture, a 3-D image, or colored text (usually underlined).

Now you're ready to find a Web site on your own.

To open a Web page or folder, or to run a program

  • To go to a Web page, type the Internet address—for example, www.microsoft.com—in the Address bar, and then click the Go button.
  • To run a program from the Address bar, type the program name, and then click the Go button.

    If you know the complete path and file name, you can type them—for example:

    C:\MSOffice\Winword\Winword.exe.

  • To browse through folders from the Address bar, type the drive and folder name, and then click the Go button—for example:

    C: or C:\My Documents

To link to Web pages you recently visited

  • To return to the last page you viewed, click the Back button.
  • To view a page you viewed before clicking the Back button, click the Forward button.
  • To see a list of the last few pages you visited, click the small down arrow beside the Back or Forward button.

To link to a specific Web page

  • To return to the page that appears each time you start Internet Explorer, click the Home button.
  • To select a Web page from your list of favorites, click the Favorites button.
  • To select a Web page from the list of those you visited recently, click the History button. The History list also displays previously viewed files and folders on your computer.

What to do if a Web page isn't working

  • If a page you are trying to view is taking too long to open, click the Stop button.
  • If you get a message that a Web page cannot be displayed, or you want to make sure you have the latest version of the page, click the Refresh button.


Display the Channel bar on the desktop

To display the Channel bar on the desktop

The desktop Channel bar is available only if you have upgraded from Internet Explorer 4.0 or Windows 98.

You can use the Channel bar to quickly open Web channels from your desktop without first opening the browser. You can display the Channel bar on your desktop whether or not you are running the Active Desktop interface.

If you installed the browser without the new desktop

  • Click Start, point to Programs, point to Internet Explorer, and then click Channel Bar.

If you installed the browser with the new desktop

  1. Right-click the desktop, and then click Properties.
  2. On the Web tab, select the View my Active Desktop as a Web page check box.
  3. Select the Internet Explorer Channel Bar check box.

Note

  • To close the Channel bar, point to the top of the Channel bar, and then click the Close button that appears.


View security certificates

To view security certificates

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Content tab.
  3. Under Certificates, click the Certificates or Publishers button to view the list of current certificates that you trust.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Display Web page text in a different font

To display Web page text in a different font

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the General tab, click Fonts.
  3. In the Web page font and Plain text font lists, click the fonts you want.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Specify the number of days that the History list keeps track of your pages

To specify the number of days that the History list keeps track of your pages

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the General tab.
  3. Under History, change the number of days that the History list keeps track of your pages.

Notes

  • To empty the History folder, click Clear History. This will temporarily free up disk space on your computer.
  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Change Internet Explorer sounds

Changing Internet Explorer sounds

You can assign sounds to play in Internet Explorer that are different from the ones currently used, or you can turn off the sounds altogether. For more information on changing sounds, see Windows Help.


Change how page colors are displayed

To change how Web page colors are displayed

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. On the General tab, click Colors.
  3. Change the settings as needed.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Display a channel on the desktop

To display a channel on the desktop

The desktop Channel bar is available only if you have upgraded from Internet Explorer 4.0 or Windows 98.

  1. Right-click the desktop, and then click Properties.
  2. On the Web tab, select the Show Web content on my Active Desktop check box.
  3. If you want to use a channel you've already installed, select it from the list, and then click OK.

    If you want to choose a new channel, click New, and proceed to step 4.

  4. If you want to open the Active Desktop Gallery site and choose a new channel from there, click Visit Gallery. If you click Visit Gallery, the dialog box closes and you connect to the Web.

    If you want to select a channel from another location, click No, and proceed to step 5.

  5. Type the address for the channel, or click Browse to search for it.


Display a channel as a screen saver

To display a channel as a screen saver

Some channels offer some of their content as a screen saver. These channels offer to install their screen saver when you install their channel, or from their Web page.

  1. Right-click your desktop, and then click Properties.
  2. Click the Screen Saver tab.
  3. In the Screen Saver list, click Channel Screen Saver.
  4. Click Settings, and then choose the settings you want.


Compile Date

Microsoft Windows graphic
Compile Date: 2004-05-24


Delete Autocomplete entries from the Address bar list

To delete Autocomplete entries from the Address bar list

The AutoComplete feature saves previous entries you've made for Web addresses, forms, and passwords. To delete entries from the Address bar, you must clear your History folder. You cannot clear individual entries from the list of saved entries.

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. Click the General tab.
  3. Under History, click Clear History.

Notes

  • When typing information in Web forms, and typing passwords, you can remove an item from the list of suggestions by clicking the item and then pressing the DELETE key.
  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


What should you do when Windows blocks the installation of an ActiveX control?

You probably should not install that ActiveX control. It is extremely risky to install ActiveX controls that Windows blocks. Windows will block the installation of an ActiveX control if your Internet Explorer security settings are at the default level and the ActiveX control does not have a valid digital signature.

A valid digital signature verifies the identity of the publisher (the company, Web site, or individual that is distributing the file), as well as the fact that the file has not been tampered with since it was signed. If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with (for example, a virus could be inserted in the control). You should not open the file unless you trust the publisher and know that the contents are safe to open.

What are ActiveX controls?

ActiveX controls are used extensively on the Internet. They can make browsing more enjoyable by providing video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.


Should you install an ActiveX control that has no valid digital signature?

It is extremely risky to install an ActiveX control that has no valid digital signature. A valid digital signature verifies the identity of the publisher (the individual, company, or Web site that is distributing the file) as well as the fact that the file has not been tampered with since it was signed. Unless you know for certain what the control will do to your computer, you should not install it.

What are ActiveX controls?

ActiveX controls are used extensively on the Internet. They can make browsing more enjoyable by providing video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Before installing any ActiveX control, ask:

Were you expecting to receive this control?

Are you surprised that this Web site is trying to download an ActiveX control? Has this Web site required you to use an ActiveX control in the past? If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

Do you trust the Web site providing the control?

Don't install an ActiveX control unless you absolutely trust the Web site that is giving you the control. Click Related Topics to learn more about deciding when to trust a Web site.

Do you know what the control is for and what it will do to your computer?

The Web site providing the file should tell you what this ActiveX control is for and any special details you need to know before you install it. If this information is not available, you should not install the control.


Should you install ActiveX controls?

Maybe. You should be cautious about installing ActiveX controls on your computer, even if they have a valid digital signature. While ActiveX controls can enhance Web browsing, they can also be a security risk, and it’s best to avoid using them if the Web page will work without them. However, some Web sites or tasks might require them, and if the content or task is important to you, you will have to decide whether to install the ActiveX control.

What are ActiveX controls?

ActiveX controls are used extensively on the Internet. They can make browsing more enjoyable by providing video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

Ask these questions before installing any ActiveX control:

Were you trying to install this control?

If this action is unexpected, you should be very cautious. Make sure you know what the control is for and what it will do to your computer before you save or run the file.

Do you trust the Web site providing the control?

Don't install an ActiveX control unless you absolutely trust the Web site that is giving you the control. Click Related Topics to learn more about when to trust a Web site.

Do you know what the control is for and what it will do to your computer?

The Web site providing the file should tell you what this ActiveX control is for and any special details you need to know before you install it. If this information is not available, you should not install the control.


How to decide if you should open potentially harmful files

You should always ask some questions before you run or save a file from the Internet.

Have you scanned the file for viruses?

You should scan all files you download before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp). If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a Web site to start this download, or did the file show up without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, you should cancel the download. If you choose to save or run the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you trust the Web site providing the file?

Don't download any file unless you absolutely trust the source. See Related Topics for more information about making this decision.

Do you know what the file will do to your computer?

The Web site providing the file should tell you what the file is for and any special details you need to know about the file to run it. If this information is not available, you should be cautious about downloading the file.

Note

  • If you choose to save or run the file, Windows will check the file for a digital signature. A valid digital signature verifies the identity of the publisher (the individual, company, or Web site that is distributing the file) as well as the fact that the file has not been tampered with since it was signed.


Should you open a potentially harmful file that has no valid digital signature?

Probably not. A digital signature identifies the publisher (the source or author) of the file and confirms that the file has not been tampered with since it was signed. Without a valid digital signature, you need to be more cautious. Only open the file if you really know and trust the source of the e-mail attachment.

General suggestions

  • Scan the file with an antivirus program before you open it.
  • Ask the person who sent the file if they had any computer problems after they first received the file. (If they did, a virus might be present.)
  • Make sure you know what the file is for and what it will do to your computer.
  • If you do not know or trust the source of the file, and you don’t need the file, don’t open it.


Should you trust e-mail attachments that have a valid digital signature?

It depends. A valid digital signature is helpful in deciding whether to trust a file or not, but you should still take a few other precautions.

How to decide which attachments to open

Before you do anything else, make sure you have installed an antivirus program that is up to date and set to scan all incoming e-mail attachments and downloaded files. This provides greater protection against viruses.

Do you know and trust the sender of the e-mail message? If you get e-mail from a person or business you’ve never heard of before, you should be cautious.

Do you have reason to expect e-mail from the sender? If you get e-mail from someone you know but seldom correspond with, ask yourself if there is a good reason why you’re getting e-mail from them now—especially if the message has a file attachment or contains a link to a Web site. Some viruses spread themselves by sending e-mail from an infected computer to every e-mail address they find.

If you know the sender but the message looks suspicious, ask the sender if he sent the e-mail to you. It's much easier to check before you open the message than it is to clean a virus off your computer.

Does the message on the subject line make sense? If the subject line is just gibberish or nonsense, it might have been generated automatically by a site that sends junk mail, and you’ll be safer if you delete the message.

Has the file been scanned and cleared by an up-to-date antivirus program on your computer? As stated above, your computer will be better protected if you install an antivirus program that is set to actively receive updates and scan all incoming files. If the program detects a virus, don’t open the file—just delete it.

If the answer is yes to all of the questions above, the file is probably fine. But if the answer to all or even some of the questions above is no, it's probably best to delete the message.

What a digital signature does and doesn’t tell you about a file

A digital signature tells you two things about a file: who published it and that the file has not been tampered with since it was signed. When you know who is publishing the file, you can make a better decision about whether to trust the file. Don't open the file if it has been changed in any way since it was signed.

Beyond that, a digital signature cannot guarantee that a file will not harm your computer. That’s why, when you start to open certain file types from e-mail, Windows will ask if you want to open the file—even if it has a valid digital signature.

Why e-mail attachments should be handled with care

Some types of files can contain viruses or code with the potential to damage your computer or leave it at risk for future attack. As a security precaution, Windows XP Service Pack 2 (SP2) checks e-mail attachments for two things: the file type and the presence of a valid digital signature. You should not open the file unless you trust the publisher and know that the contents are safe to open.

Note

  • If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp).


Should you run downloaded software that has no valid digital signature?

Probably not. A valid digital signature identifies the publisher of the software and verifies that the software has not been tampered with since it was signed. Without a valid digital signature, you have no way to verify that the software is what it claims to be.

If you have software on your computer that you downloaded from the Internet, don't open or run it without asking these questions:

Did you ask for the software?

Did you click a link on a Web site to start this download, or did the software show up without any action on your part? If you did not start the download, you should be very cautious. If you don't need the software, cancel the download. If you choose to run the software, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the software?

If the file has no valid digital signature, you cannot be certain that the software is actually from the source it claims to be from, or that it has not been tampered with. You should not run the software unless you trust the publisher and know what the software will do to your computer.

Do you know what the file will do to your computer?

The Web site providing the file should tell you what the file is for and any special details you need to know about the file to run it. If this information is not available, you should be cautious about downloading the file.


What you should know about file downloads and digital signatures

Some downloaded files can potentially damage your computer. To help protect your computer, you will be asked to confirm the attempt to open the downloaded file, even if the file has a valid digital signature. A digital signature identifies the publisher of the file and confirms that the file has not been tampered with since it was signed, but it does not guarantee that the file will not harm your computer.

How can you decide if you should open a downloaded file? Ask these questions:

Have you scanned the file for viruses?

You should scan all files you download before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp). If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Did you ask for the file?

Did you click a link on a Web site to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or run the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you know who published the file?

A valid digital signature verifies the identity of the publisher (the company, Web site, or individual that is distributing the file) as well as the fact that the file has not been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. You should not open the file unless you trust the publisher and know that the contents are safe to open.

Do you know what the file will do to your computer?

The Web site providing the file should tell you what the file is for and any special details you need to know about the file to run it. If this information is not available, you should be cautious about downloading the file.


What is active content and why does Internet Explorer restrict it?

What you should know about active content

Active content (items like stock tickers, video, or animation) relies on either ActiveX controls or computer code called a script to work properly.

ActiveX controls can sometimes malfunction or display content that you don’t want. They can also be used to collect information from your computer without your permission, damage data on your computer, install software without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

When you encounter a Web page that is trying to run active content on your computer, you will receive a message prompting you to indicate whether you want to allow this. If you are certain that you want to allow the Web page to run ActiveX controls or scripts, click Yes in the message box. By clicking Yes, you allow the active content to run on the Web page you’re viewing, but only on that occasion. If you leave the page and return to it later, you will receive the message again (because you did not change the setting that allows active content to run on your computer).

If you want to allow any Web site to run scripts and ActiveX controls on your computer:

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the Advanced tab, scroll down to the Security section of the list.
  3. Select the Allow active content to run in files on My Computer check box, and then click OK.

If you want to allow any CD to run scripts and ActiveX controls on your computer:

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the Advanced tab, scroll down to the Security section of the list.
  3. Select the Allow active content from CDs to run on My Computer check box, and then click OK.


Is it safe to open files I download from the Internet?

Is it safe to open files you download from the Internet?

It depends. You should always handle files you get from the Internet with caution. Much depends on what you know about the file and its source. Here are some ways to make an informed choice.

  • Heed any warning messages. Internet Explorer displays a message when a Web site attempts to download a file to your computer. If the message contains a yellow caution icon, then the file has been identified as a type that could pose a risk because it can contain computer code.
  • Only open the file if the following are true:
    • The message shows the publisher name. If the publisher can't be identified, it is safer to delete the file unless you know for sure who created it and what it will do to your computer.
    • You completely trust the publisher.
    • You requested the file. If a file download starts automatically or one is offered that you didn't specifically request, cancel it.
  • Scan the file with antivirus software before you open it.
  • Be more cautious with files other than pictures, music, or plain text files. These file types (their names frequently end with one of these three-letter extensions: .jpg, .gif, .mp3, or .txt) are less likely to contain computer code or a virus. Be very cautious with all other file types.


Unblock a publisher

To unblock a publisher

Why is this publisher blocked?

Someone who uses or manages this computer specifically chose to block this publisher. To open or run this file, you will need to unblock the publisher. You should only try to open this file if you trust the publisher and you are sure the file is safe.

  1. Open Internet Explorer.
  2. On the Tools menu, click Internet Options.
  3. On the Content tab, click Publishers.
  4. On the Untrusted Publishers tab, click the publisher you want to unblock, and click Remove.

Notes

  • Blocking a publisher is not the same as blocking or restricting a Web site. Blocking a publisher does not restrict you from going to a Web site that distributes files from that publisher, but you will not be able to open those files unless you unblock the publisher first. Any publisher you block will be blocked on all Web sites, not just the Web site you were on when you blocked it.


Should you open files from the Internet or e-mail that you have saved to your computer?

It depends. You should take a few precautions before opening a file that you saved from the Internet or received as an e-mail attachment. If the file contains computer code, Windows will alert you with a message stating that the file could be harmful to your computer. If this happens, ask these questions before you open the file:

Have you scanned the file for viruses?

You should scan all files you download before you open them.

If you do not have antivirus software installed, you should purchase and install an up-to-date antivirus program to help protect your computer. For a list of popular antivirus programs, see Microsoft Antivirus Partners (http://www.microsoft.com/security/partners/antivirus.asp). If you have already installed antivirus software, make sure that it is up to date and actively scanning the files on your computer.

Do you know who created the file?

If you choose to save or run the file, Windows will check the file for a digital signature. A valid digital signature verifies the identity of the publisher (the company, Web site, or individual distributing the file) and confirms that the file has not been tampered with since it was signed.

If the file has no valid digital signature, you cannot be certain that the file is actually from the source it claims to be from, or that it has not been tampered with. Avoid opening the file unless you trust the publisher and know that the contents are safe.

Do you know what the file will do to your computer?

The publisher of the file should have provided information explaining what this file is for and any special details you need to know about the file to run it. If this information is not available, you should be cautious about running the file.


Store personal information for Web sites

To store personal information for Web sites

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. Click the Content tab.
  3. Under Personal information, click My Profile to view and edit the information used by Profile Assistant.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Downloading files

Some files contain viruses or can otherwise harm your computer.

If you run a program or open a file directly from a Web site and it causes your computer or other programs to shut down, you could lose unsaved work in any open files on your computer.

If you save this file or program to disk, you can run it later. This allows you to take precautions, such as the following, before you open the file or run the program:

  • Check the file with a virus scanner.
  • Save your work and close other programs.
  • Disconnect from the Internet or any other network connections.

For the most security, make sure the Always ask before opening this type of file check box is selected. If you feel confident that this type of file or program is always safe to open or run directly from the Internet, make sure this check box is cleared.

Note

  • The Always ask before opening this type of file check box is not available for some file types, such as files with the extensions .exe or .com, which run programs or commands. When this check box is not available, you will always be asked before opening this type of file.


Display Web page text larger or smaller

To display Web page text larger or smaller

  • On the View menu, point to Text Size, and then click the size you want.


Access FTP sites through a CERN-compliant proxy server

To access FTP sites through a CERN-compliant proxy server

  1. In the Address bar, type the Internet address (URL) for the FTP site you want to connect to. For example:

    ftp://ftp.microsoft.com/

    If the site requires a user name and password, you need to include that information in the address. For example:

    ftp://user name:password@ftp.microsoft.com/

  2. To download a file or folder, right-click the item on the page, and then click Copy to Folder.

Note

  • If your system uses a CERN proxy server, you will only be able to download and view files. Check with your administrator to see whether you can bypass the proxy server or whether a full-service FTP proxy server is available.


Access FTP sites directly

To access FTP sites directly

  1. In the Address bar, type the Internet address (URL) for the FTP site you want to connect to. For example:

    ftp://ftp.microsoft.com/

  2. Do one or more of the following:
    • To download a file or folder, right-click the item on the page, and then click Copy to Folder.
    • To log on as a different user to this FTP site, on the File menu, click Login As.
    • To rename or delete items in an FTP folder, or paste items into an FTP site (upload), you can use the same commands and actions you use with Windows Explorer or My Computer.

Notes

  • On some FTP sites, you can only view or download files. Only the people who run or own the site can rename, delete, or upload files.
  • On many FTP sites, you are automatically logged on anonymously, so you can view or download files. To upload, rename, or delete files, you may need to log on using a special user name and password. Also, different areas of the same site may require different logons.
  • You cannot move files within or between FTP sites. You can move files from an FTP site to a temporary location on your computer or a network drive, and then upload them to another FTP site or different folder on the same site.
  • Some programs may support opening and saving files from FTP servers by typing an FTP address in the File Open or File Save dialog box.


Understanding FTP

FTP stands for File Transfer Protocol. A protocol is a language that enables computers to speak to one another. FTP is used to make files and folders publicly available for transfer over the Internet. In some cases you may need to get permission from the network computer's administrator to log on and gain access to files on the computer. But often you'll find that you can use FTP to gain access to certain networks or servers without having an account, or being an official password holder, with that computer. These "anonymous" FTP servers can contain a broad range of data that is publicly available through FTP.

The Internet address (URL) for an FTP server looks slightly different from the URL you use for a typical Web page. For example, Microsoft has an "anonymous" FTP server at ftp://ftp.microsoft.com, where you can download files ranging from product fixes, updated drivers, and utilities, to Microsoft Knowledge Base articles and other documentation.

How much access you have to files and folders on FTP servers depends on whether you gain access to the servers through a CERN proxy server or directly, and what kind of permissions you have with the FTP server.

  • Access through a CERN proxy server is limited to viewing or downloading files. You cannot rename, upload, or delete files or folders through a CERN proxy server as you can through other types of proxy servers. For more information, click:

    Access FTP sites through a CERN-compliant proxy server

  • If you gain access to FTP sites directly, you can work with files and folders on the FTP servers much like you work with them on your own computer. You can view, download, upload, rename, and delete files and folders. If you need permission from the FTP server to perform any of these actions, you will be prompted to provide your user name and password. For more information, click:

    Access FTP sites directly


Why does Internet Explorer block the use of some ActiveX controls?

Internet Explorer blocks a Web site from using an ActiveX control on your computer if the Web site tries to use the control in a way that it is not designed to be used. You should leave the Web site immediately.

In this case you will see the message below—click the text below for more information.

"Internet Explorer has blocked this site from using an ActiveX control in an unsafe manner. As a result this page may not display correctly."

This message appears when a Web site tries to access an ActiveX control on your computer using a method that is not safe for that particular control. Usually this means that the Web site is using a script (a small computer program) to access an ActiveX control that is not safe for scripting. Internet Explorer will block this action. To avoid possible damage to your computer, you should not try to work around this. You should leave the Web site.

What are ActiveX controls?

ActiveX controls are used extensively on the Internet. They can make browsing more enjoyable by providing video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.


What should I do when Internet Explorer blocks the installation of an ActiveX control?

You should always be cautious about allowing Web sites to run ActiveX controls on your computer. If an ActiveX control is not essential to your computer activity, try to avoid installing it.

What are ActiveX controls?

ActiveX controls are used extensively on the Internet. They can make browsing more enjoyable by providing video, animated content, and more. These programs can, however, malfunction or give you content you don’t want. In some cases, these programs might be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

What to do if the control has a valid digital signature

If the ActiveX control does have a valid digital signature, you will see the following message in the Information Bar of the browser window—click the text below for more information about what to do in this case.

"This site might require the following ActiveX control: Name. From: Publisher. Click here to install..."

This message appears when a Web page tries to install an ActiveX control that has a valid digital signature. The page will open without using the control. This allows you to see how the Web page functions without the ActiveX control; often, you will be able to view or use the Web page without installing the control. Because ActiveX controls can be potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install the control on your computer.

If you want to install this ActiveX control onto your computer, click the Information Bar to install it.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

What if the control doesn't have a digital signature

When Internet Explorer blocks the download of an ActiveX control that does not have a valid digital signature, you will see the following message in the Information Bar of the browser window—click the text below for more information about what to do in this case.

"To help protect your security, Internet Explorer stopped this site from installing an ActiveX control on your computer. Click here for options…"

This message appears when a Web page tries to install an ActiveX control that you did not request. The page will open without using the control. This allows you to see how the Web page functions without the ActiveX control; often, you will be able to view or use the Web page without installing the control. Because ActiveX controls are potentially hazardous to your computer, you should be certain that you trust the publisher of the ActiveX control before you decide to install the control on your computer.

To install the ActiveX control:

  1. Click the Information Bar.
  2. Click Install software.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.

General tips for handling ActiveX controls

Ask yourself these two questions before you install any ActiveX control:

Do you trust the Web site providing the control?

Don't install an ActiveX control unless you absolutely trust the Web site that is giving you the control. Click Related Topics for information about how to decide if you can trust a Web site.

Do you know what the control is for and what it will do to your computer?

The Web site should tell you what this ActiveX control is for and any special details you need to know before you install it. If this information is not available, you should not install the control.


Why does Internet Explorer block some file downloads?

Internet Explorer will block a file download when it appears that you have not requested the file. This can happen when:

  • A Web site tries to download files to your computer without your permission.
  • You requested a file but the download did not start soon enough.

This is done to help protect your computer from file downloads that you might not want or know about.

What to do when a file is blocked

When a file is blocked, you will see the following message—click the text below for an explanation and steps for allowing a download that was initially blocked:

"To help protect your security, Internet Explorer blocked this site from downloading files to your computer. Click here for options…"

This message appears when a Web page tries to download a file that you might not have specifically requested. Because files can contain software that can affect the performance of your computer or access the information on your computer, you should be certain that you know what the file contains and that you trust its publisher before you consider downloading it.

If you are certain you want to download the file, follow the steps below:

  1. Click the Information Bar.
  2. Click Download File.
  3. When you are prompted to download the file, read the information in the dialog box very carefully. Make sure the file is from a Web site you absolutely trust.

Click Related Topics for more information about deciding if you should trust a Web site or publisher.

General tips for handling file downloads

Before downloading any file, ask yourself these questions:

Did you ask for this file?

Did you click a link on a Web site to start this download, or did the download begin without any action on your part? If you did not start the download, you should be very cautious about the file. If you don't need the file, cancel the download. If you choose to save or run the file, make sure you know what it is for and what it will do to your computer before you proceed.

Do you trust the Web site providing the file?

Don't download any file unless you absolutely trust the Web site or publisher it is from. See Related Topics for information about making this decision.

Do you know what the file is for and what it will do to your computer?

The Web site providing the file should describe what the file is for and any special details you need to know about the file to run it. If this information is not available, be cautious about downloading the file.


Why does Internet Explorer restrict some file content?

Because it detects a possible security problem with a file. When you navigate to a Web site or download a file, the computer containing the page or file you want to see provides security information about that file. If the contents of the file don’t match the security information, the file will open as a plain text file. This might cause the file to display differently than you would expect.

In this case, you will see the following message in the Information Bar. Click the text below for more information about the message.

"This content might not be displayed properly. The file was restricted because the content doesn’t match its security information. Click here for options..."

You should be sure that you know what the file will do to your computer before you decide to display the content without restrictions. This situation might pose a security risk to your computer.

To display this content without restrictions, follow the steps below:

  1. Click the Information Bar.
  2. Click Show Restricted Content.


What is active content and why does Internet Explorer restrict it?

Active content is content that relies on either ActiveX controls or computer code called a script to work properly. Examples include stock tickers, video, and animated content on Web pages.

These programs can, however, malfunction or give you content you don’t want. In some cases, these programs can be used to collect information from your computer in ways you might not approve of, possibly damage data on your computer, install software on your computer without your consent, or allow someone else to control your computer remotely. Given these risks, you should only install these programs if you completely trust the publisher.

If a Web page you visit tries to display active content, you will see the message below (click the message for more information).

"To help protect your security, Internet Explorer has restricted this file from showing active content that could access your computer. Click here for options..."

This message appears when a Web page open on your computer tries to run a script or ActiveX control. Internet Explorer blocks the active content portion of the page but allows the rest of the Web page to open so you can see how it functions without the script or ActiveX control. Often, you will be able to view or use the Web page without using the active content. Because active content is a potential hazard to your computer, you should be certain that you trust the publisher of a script or ActiveX control before you decide to give it access to your computer.

If you are certain that you want to allow the page to run scripts and ActiveX controls on your computer, follow the steps below:

  1. Click the Information Bar.
  2. Click Allow blocked content.

Click Related Topics for information about how to decide if you should trust a Web site or publisher.


Working with temporary Internet files

The Temporary Internet Files folder is the location on your hard disk where Web pages and files (such as graphics) are stored as you view them. This speeds up the display of pages you frequently visit or have already seen, because Internet Explorer can open them from your hard disk instead of from the Web.

Increasing the space you set for this folder can increase how fast previously visited pages are displayed, but decreases the amount of space available for other files on your computer. You can set the size of this folder, or empty it, to control how much space it uses on your hard disk.

Internet files are also stored on your computer when you make Web pages available for offline browsing. You can view these files without being connected to the Internet.

To learn about how Web pages are stored on your computer, click Related Topics below.


Introducing the Internet Explorer Web browser

Internet Explorer makes it easier to get the most from the World Wide Web, whether you are searching for new information or browsing your favorite Web sites. Built-in IntelliSense technology can save you time completing routine Web tasks, such as automatically completing Web addresses and forms for you, and automatically detecting your network and connection status.

The easiest way to get around the Web

  • Start typing a frequently used Web address in the Address bar, and a list of similar addresses appears that you can choose from. If a Web address is wrong, Internet Explorer can search for similar addresses to try to find a match.
  • Search for Web sites by clicking the Search button on the toolbar. Then in the Search bar, type a word or phrase that describes what you're looking for. When your search results appear, you can view the individual Web pages without losing your list of search results.
  • You can also search directly from the Address bar. Just type common names or words, and Internet Explorer can automatically take you to the site that most likely matches what you are searching for, and list other likely sites as well.
  • Once you're on a Web page, Internet Explorer can help you complete entries in any kind of Web-based form. Start typing, and a list of similar entries appears that you can choose from.
  • Browse through a list of Web pages you recently visited by clicking the History button on the toolbar. In addition you can rearrange or search the History list.

A customizable browser

  • Put shortcuts to your most frequently visited Web pages on your Links bar for quick access.
  • Add other frequently visited Web pages to your Favorites list for easy access. Organize your favorite items by using folders, and sort them in the order you want them.
  • Choose from a list of your favorite search providers and keep it handy for all your searches.
  • Take your favorite Web pages with you: to another computer or browser, or to share with your friends. You can even import bookmarks from Netscape Navigator.

The best choice for laptops

  • Mark your favorite Web pages for offline reading, and then view those pages when you’re not connected to the Internet. You can update the content any time you're connected, or use a schedule to automatically update it.
  • Switch easily among different types of Internet connections without reconfiguring your settings.

Security and privacy when browsing the Web

  • Use the security and privacy features in Internet Explorer to help protect your privacy and make your computer and your personally identifiable information more secure.
  • Use security zones to set different levels of security for different areas of the Web to help protect your computer.
  • Use Content Advisor to screen out objectionable content by using industry-standard ratings that have been defined independently by the Platform for Internet Content Selection (PICS) committee.

Display Web pages in other languages

  • If your Web browsing takes you to sites written in different languages, Internet Explorer can update your computer with the character sets you need to view these sites correctly.


Make an existing favorite item available offline

To make an existing favorite item available offline

  1. On the Favorites menu, click Organize Favorites.
  2. Click the page you want to make available offline.
  3. Select the Make available offline check box.
  4. To specify a schedule for updating that page, and how much content to download, click Properties.

Notes

  • Before you go offline, make sure you have the latest version of your pages by clicking the Tools menu and then clicking Synchronize.
  • You can also make Web pages available offline without adding them to your Favorites list, by saving the pages on your computer.


Browser terms in Navigator and Internet Explorer

While there are many similarities between Netscape Navigator and Internet Explorer, there are some differences in terminology.

To do this | Use this feature in Navigator | Use this feature in Internet Explorer
Add favorite pages to a list so you can have quick and easy access to them later. | bookmarks | favorites
Go to a Web page by typing a Web address (URL). | Location field | Address bar
Make sure you have the latest version of the current Web page. | Reload | Refresh
Add shortcuts to Web pages and even to folders on your computer for quick access. | Personal Toolbar | Links bar
Schedule updates for any favorite pages (including channels), so that the content is up to date and available when you are not connected to the Internet. You don't need to install a separate program to automatically update Web pages and view the content offline. | Netcaster, subscribing, automatic delivery, channels | making favorites available offline


Organize your favorite pages into folders

To organize your favorite pages into folders

As your list of favorite pages grows, you can keep it organized by creating folders. You might want to organize your pages by topic. For example, you could create a folder named Art for storing information about art exhibits and reviews.

  1. On the Favorites menu, click Organize Favorites.
  2. Click Create Folder, type a name for the folder, and then press ENTER.
  3. Drag the shortcuts (or folders) in the list to the appropriate folders.

    If the number of shortcuts or folders makes dragging impractical, you can use the Move to Folder button instead.


Change how a Web page looks when it prints

To change how a Web page looks when it prints

  1. On the File menu, click Page Setup.
  2. In the Margins boxes, type the margin measurements in inches.
  3. Under Orientation, click either Portrait or Landscape to specify whether you want the page printed vertically or horizontally.
  4. In the Header and Footer boxes, specify the information to be printed by using the following variables. Variables can be combined with text (for example, Page &p of &P).
To print this | Type this
Window title | &w
Page address (URL) | &u
Date in short format (as specified by Regional and Language Options in Control Panel) | &d
Date in long format (as specified by Regional and Language Options in Control Panel) | &D
Time in the format specified by Regional and Language Options in Control Panel | &t
Time in 24-hour format | &T
Current page number | &p
Total number of pages | &P
Right-aligned text (following &b) | &b
Centered text (between &b&b) | &b&b
A single ampersand (&) | &&

Note

  • If you want to set margins in millimeters instead of inches, you must change the Regional and Language Options in Control Panel.


E-mail an image from a Web page

To send an image from a Web page in e-mail

  1. In Internet Explorer, point to the image you want to send in e-mail.

    The image toolbar appears over the corner of the image.

  2. Click E-mail image.
  3. Send the e-mail as you normally would.

Note

  • The image toolbar does not appear for all images. The image must be at least 200 x 200 pixels to use the image toolbar. To send a smaller image, right-click anywhere on the image, and then click e-mail.


Using the image toolbar in Internet Explorer

The image toolbar makes it easy for you to save, print, or send in e-mail images that you find on the Web. The image toolbar appears when you point to an image on a Web page.

Click this | To do this
Save image | Save the image. Images are saved to your My Pictures folder unless you specify a different location.
Print image | Print the image.
E-mail image | Send the image in e-mail using your default e-mail program.
Open My Pictures folder | Open your My Pictures folder.


Turn off the image toolbar

To turn off the image toolbar

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the Advanced tab, under Multimedia, clear the Enable Image Toolbar check box.

Notes

  • You can also turn off the image toolbar directly from a Web page. To do this, point to an image to display the image toolbar, right-click the image toolbar, and then click Disable Image Toolbar.
  • The image toolbar does not display for all images. The image must be at least 200 x 200 pixels to use the image toolbar.


Preview the appearance of a printed Web page

To preview the appearance of a printed Web page

You can click Print Preview to see how a printed Web page will look.

  1. On the File menu, click Print Preview.
  2. Choose from the following commands:
Click this | To do this
Print | Set printing options and print the page.
Page Setup | Change paper, headers and footers, orientation, and margins for this page.
First page | Display the first page to be printed.
Previous page | Display the previous page to be printed.
Page number | Type the number of the page you want displayed.
Next | Display the next page to be printed.
Last | Display the last page to be printed.
Zoom out | Decrease the magnification.
Zoom in | Increase the magnification.
Zoom list | Display a list of zoom percentages.
Frame print options | Specify how you want frames to print. You can print the selected frame, all frames separately, or the entire page as it appears in your Web browser. This option is available only if you are printing a Web page that uses frames.
Close | Close the Print Preview window.

Notes

  • You can add a Print Preview button to your standard toolbar. Click Related Topics for more information on customizing your toolbar.
  • Keyboard shortcuts are available for the Print Preview toolbar buttons. These shortcuts are displayed when you hover over the buttons with your mouse, and are also listed in the keyboard shortcuts topic. Click Related Topics for more information.


Understanding privacy policies

A Web site's privacy policy tells you what kind of information the Web site collects, to whom it gives that information, and how it uses the information. Personally identifiable information is information that can be used to identify or contact you, such as your name, e-mail address, home or work address, or telephone number. However, a Web site only has access to the personally identifiable information that you provide, or to the choices you make while visiting a Web site. For example, a Web site cannot determine your e-mail name unless you provide it. A Web site cannot gain access to other information on your computer. If a Web site collects personally identifiable information, it may store the information in a cookie, a small file that it saves on your computer.

Many Web sites provide privacy statements as written documents that you can view on the Internet. Web sites also might provide a Platform for Privacy Preferences (P3P) privacy policy. If a Web site has a P3P privacy policy, Internet Explorer can display it. Internet Explorer also might be able to compare your privacy settings to a representation of the P3P privacy policy, and determine whether or not to allow the Web site to save cookies on your computer.

For more information about cookies or the security and privacy features in Internet Explorer, click Related Topics.


View a Web site's computer-readable P3P privacy policy

To view a Web site's P3P privacy policy

  1. In Internet Explorer, on the View menu, click Privacy Report.
  2. Double-click the Web site for which you want to view the privacy policy.

Notes

  • Internet Explorer 6 can only display a Web site's privacy policy if the policy is written using Platform for Privacy Preferences (P3P) standards. Even if a Web site does not have a P3P privacy policy, it might have a written privacy statement that you can view on the Internet.
  • Although Internet Explorer can display a Web site's P3P privacy policy, Internet Explorer cannot verify that the Web site complies with its own privacy policy.
  • After reviewing the P3P privacy policy, you can specify how you want Internet Explorer to handle cookies from the selected Web site. If you want Internet Explorer to determine whether or not to allow this Web site to save cookies on your computer by comparing the privacy policy with your privacy settings, select Use my privacy settings. If you want Internet Explorer to always allow cookies from this Web site to be saved on your computer, select Always allow this site to use cookies. If you want Internet Explorer to never allow cookies from this Web site to be saved on your computer, select Never allow this site to use cookies.
  • For more information about privacy policies or the security and privacy features in Internet Explorer, click Related Topics.


Understanding privacy reports

The Privacy Report in Internet Explorer enables you to: view the P3P privacy policy for a Web site, find out if a Web site might contain information provided by a third-party Web site (a Web site other than the one you are viewing), or find out if Internet Explorer restricted any cookies from the Web site you are viewing.

To view the Privacy Report

  • In Internet Explorer, on the View menu, click Privacy Report.

For more information on privacy settings or the security and privacy features in Internet Explorer, click Related Topics.


Viewing the Readme online document for Internet Explorer

The IE.txt document contains complementary or late-breaking information to supplement the Internet Explorer documentation.

You can gain access to IE.txt on your computer without connecting to the Web, in the folder where you installed Internet Explorer and Internet Tools. This version contains information that was current at the time you downloaded the programs from the Web.


Reset Internet Explorer Web settings

To reset Internet Explorer settings

If you installed another Web browser after installing Internet Explorer and Internet Tools, some of your Internet Explorer settings may have changed. You can reset your Internet Explorer settings to their original defaults, including your home page and search pages, and choice of default browser, without changing your other browser's settings.

  1. On the Tools menu, click Internet Options.
  2. Click the Programs tab.
  3. Click the Reset Web Settings button.


Assign a Web site to a security zone

To assign a Web site to a security zone

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Security tab, and then click a security zone: Local intranet zone, Trusted sites zone, or Restricted sites zone.
  3. Click Sites.
  4. If you clicked Local intranet, click Advanced.
  5. In the Add this Web site to the zone text box, type the Internet address for the Web site that you want to add to this zone, and then click Add.

Notes

  • You cannot add Web sites to the Internet zone, which includes everything that does not belong to any other zone and is not on your local computer.
  • To remove a Web site from a zone, complete steps 1 through 4. In the Web sites list box, click the name of the Web site you want to remove, and then click Remove.
  • If you want Internet Explorer to verify that the server for each Web site in this zone is secure before connecting to any Web sites in this zone, select the Require server verification (https:) for all sites in this zone check box.


Delete a cookie

To delete a cookie

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the General tab, click Settings, and then click View files.
  3. Select the cookie you want to delete, and then, on the File menu, click Delete.

Notes

  • Some Web sites store your member name and password or other personally identifiable information about you in a cookie; therefore, if you delete a cookie, you may need to re-enter this information the next time you visit the site.
  • To delete all of the cookies on your computer, click Delete Cookies on the General tab.


Change your privacy settings

To change your privacy settings

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the Privacy tab, move the slider up for a higher level of privacy or down for a lower level of privacy.
Select this To specify this
Block all cookies
  • Cookies from all Web sites will be blocked
  • Existing cookies on your computer cannot be read by Web sites
High
  • Cookies from all Web sites that do not have a compact policy (a condensed computer-readable privacy statement) will be blocked
  • Cookies from all Web sites that use your personally identifiable information without your explicit consent will be blocked
Medium High
  • Cookies from third-party Web sites that do not have a compact policy (a condensed computer-readable privacy statement) will be blocked
  • Cookies from third-party Web sites that use your personally identifiable information without your explicit consent will be blocked
  • Cookies from first-party Web sites that use your personally identifiable information without your implicit consent will be blocked
Medium
  • Cookies from third-party Web sites that do not have a compact policy (a condensed computer-readable privacy statement) will be blocked
  • Cookies from third-party Web sites that use your personally identifiable information without your implicit consent will be blocked
  • Cookies from first-party Web sites that use your personally identifiable information without your implicit consent will be deleted from your computer when you close Internet Explorer
Low
  • Cookies from third-party Web sites that do not have a compact policy (a condensed computer-readable privacy statement) will be blocked
  • Cookies from third-party Web sites that use your personally identifiable information without your implicit consent will be deleted from your computer when you close Internet Explorer
Accept all cookies
  • All cookies will be saved on your computer
  • Existing cookies on your computer can be read by the Web sites that created them

For more information about cookies or privacy policies, click Related Topics.

Notes

  • A first-party Web site is a Web site that you are currently viewing. A third-party Web site is a Web site other than the one you are currently viewing. Third-party Web sites usually provide some content on the Web site you are currently viewing. For example, many sites use advertising from third-party Web sites and those third-party Web sites may use cookies.
  • Some Web sites require cookies; therefore, if you select a setting that does not allow cookies to be saved on your computer, you might not be able to view certain Web sites.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. If you want to ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to Web sites that previously had saved cookies on your computer, the Web sites that meet your privacy settings will save cookies on your computer again. The Web sites that do not meet your privacy settings will not be allowed to save cookies on your computer, and might not function properly. Some Web sites store your member name and password or other personally identifiable information about you in a cookie; therefore, if you delete all cookies, you might need to re-enter this information the next time you visit the site.
  • Your privacy settings only affect Web sites in the Internet zone. For more information about zones, click Related Topics.
  • You can also specify custom privacy settings for all Web sites in the Internet zone or for individual Web sites. For more information, click Related Topics.
  • To import a file containing custom privacy settings, click Import. To import a file, it must be located on your computer. You can download files containing custom privacy settings from privacy organizations and other Web sites on the Internet.


Understanding unsigned controls

An unsigned control is software that does not have a valid software publisher's certificate. The certificate tells you who published the control and that it hasn't been tampered with.

When you know who published a control, you can decide whether or not to trust the publisher. Controls can contain code that can either inadvertently or deliberately damage your files. If a control is unsigned, you have no way of knowing who created it and whether to trust them or not.


Customize your privacy settings for all Web sites

To customize your privacy settings for all Web sites

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Privacy tab, and then click Advanced.
  3. Click Override automatic cookie handling, and then specify how you want Internet Explorer to handle cookies from first-party Web sites and third-party Web sites (a Web site other than the one you are currently viewing).
    • To specify that you want Internet Explorer to always allow cookies to be saved on your computer, click Accept.
    • To specify that you want Internet Explorer to never allow cookies to be saved on your computer, click Block.
    • To specify that you want Internet Explorer to ask whether or not you want to allow a cookie to be saved on your computer, click Prompt.
  4. If you want Internet Explorer to always allow session cookies (cookies that will be deleted from your computer when you close Internet Explorer) to be saved on your computer, click Always allow session cookies.

Notes

  • Some Web sites require cookies; therefore, if you select a setting that does not allow cookies to be saved on your computer, you might not be able to view certain Web sites.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. If you want to ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to Web sites that previously had saved cookies on your computer, the Web sites that meet your privacy settings will save cookies on your computer again. The Web sites that do not meet your privacy settings will not be allowed to save cookies on your computer, and might not function properly.
  • Your privacy settings only affect Web sites in the Internet zone. For more information about zones, click Related Topics.
  • You can also specify custom privacy settings for a specific Web site. For more information, click Related Topics.


Customize your privacy settings for an individual Web site

To customize your privacy settings for an individual Web site

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Privacy tab, and then click Sites.
  3. In Address of Web site, type the complete address of the Web site for which you want to specify custom settings. For example, http://www.microsoft.com
  4. To specify that you want Internet Explorer to always allow cookies from the specified Web site to be saved on your computer, click Allow. To specify that you want Internet Explorer to never allow cookies from the specified Web site to be saved on your computer, click Block.

Notes

  • You can view a list of Web sites for which you have specified custom settings in the Managed Web sites list. To remove a Web site from this list, and delete its custom privacy settings, click Remove. When you remove a Web site from the Managed Web sites list, your privacy settings for all Web sites without custom settings will apply to that Web site.
  • Some Web sites require cookies; therefore, if you select a setting that does not allow cookies to be saved on your computer, you might not be able to view certain Web sites.
  • When you change your privacy settings, the changes might not affect cookies that are already on your computer. If you want to ensure that all of the cookies on your computer meet your privacy settings, you should delete all of the existing cookies on your computer. When you return to Web sites that previously had saved cookies on your computer, the Web sites that meet your privacy settings will save cookies on your computer again. The Web sites that do not meet your privacy settings will not be allowed to save cookies on your computer, and might not function properly.


Set a security level for each zone

To set a security level for each zone

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Security tab, and then click the zone that you want to set the security level for.
  3. Under Security level for the zone, select Default Level to use the default security level for the zone, or click Custom Level, and then select the settings you want.

Note

  • For Restricted sites, you need to click Custom Level and then click a level in the Reset to list.


Specify the programs you want Internet Explorer to use

To specify the programs you want Internet Explorer to use

You can change the default programs you use for e-mail, newsgroups, your calendar, and Internet calls. Whenever you click a link on a Web page for these programs, Internet Explorer opens the program you specified.

  1. On the Tools menu in Internet Explorer, click Internet Options.
  2. Click the Programs tab, and then follow the instructions on your screen for specifying default Internet programs.

Note

  • To send messages, add contacts, and place calls from within Internet Explorer, on the File menu, point to New, and then click the type of message or communication you want to start.


Improve your Internet searches

To improve your Internet searches

You can search for all sorts of information on the Internet: Web pages, e-mail addresses, companies, maps, and more. Just choose the category of information you want to search, and you'll be prompted for the type of information needed for that category.

  1. On the toolbar, click the Search button.
  2. Click a type of search.
  3. Type the information that you are looking for, and then click Search.

    The number and type of fields displayed depend on which category you are searching.

Notes

  • If you are running Windows XP, you can use Search Companion to search for information. For more information on Search Companion, see Help and Support.
  • The more information you type in each field, the shorter and more accurate your results will be.
  • Within some categories, you can specify that you want to use several different search providers. Then you can quickly search more than one provider without retyping your query by clicking the Next button at the top of the Search bar.


Customize your Internet searches

To customize your Internet searches

As you search for items on the Internet, you may want to customize the way you search. You can choose which search categories are available and which search providers to use for your searches.

To customize your searches, click the Search button on the toolbar, and then click the Customize button in the Search bar. You can customize a variety of search options, or choose a default search provider.

To do this | Try this
Choose which categories are available. | Select the check box for each category you want displayed.
Choose providers within a category. | Within each category, select the check box for each provider you want available.
Choose the main provider within a category. | Within each category, click the main search provider you want to use, and then click the up arrow below the list to move the provider to the top of the list.
Arrange the order in which search providers are used. | Within each category, click a provider in the list, and then click the up or down arrows under the list to rearrange the order in the list. The provider at the top of the list is the first one used within the category.
Arrange the order of categories in the Search bar. | Select the category in the category list, and then click the up or down arrow under the category list to change its position.
Save previous searches. | Select the Previous searches check box.
Use one search provider at a time. | At the bottom of the Customize Search Settings window, click Choose a Default Search Provider.

Notes

  • If you are running Windows XP, and do not see the Customize button in the Search bar, you can use Search Companion to search for information. For more information on Search Companion, see Help and Support.
  • The more information you type in each field, the shorter and more accurate your results will be.
  • Within some categories, you can specify that you want to use several different search providers. Then you can quickly search more than one provider without retyping your query by clicking the Next button at the top of the Search bar.


Specify another language for Web page content

To specify another language for Web page content

Some Web sites offer their content in several languages. To view these pages in your preferred language, you can add languages to your list of languages in Internet Explorer.

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. On the General tab, click Languages.
  3. Click Add.
  4. Select the language you want to add.

Note

  • If you speak several languages, you can arrange them in order of priority. If a Web site offers multiple languages, content will appear in the language that has the highest priority.


Change the settings for offline pages

To change the settings for offline pages

  1. On the Favorites menu, click Organize Favorites.
  2. Right-click the offline page you want to update, and then click Properties.
  3. Specify the settings you want for updating the content.

Note

  • For Help on an item, click Question-mark button at the top of the dialog box, and then click the item.


Make the current Web page available offline

To make the current Web page available offline

  1. On the Favorites menu, click Add to Favorites.
  2. Select the Make available offline check box.
  3. To specify a schedule for updating that page, and how much content to download, click Customize.
  4. Follow the instructions on your screen.

Note

  • Before you go offline, make sure you have the latest version of your pages by clicking the Tools menu and then clicking Synchronize.


Lock toolbars in place in Internet Explorer

To lock toolbars in place

  • On the View menu in Internet Explorer, point to Toolbars, and then click Lock the Toolbars.

    A check mark next to Lock the Toolbars indicates that the toolbars cannot be moved. To unlock the toolbars, click Lock the Toolbars again to clear the check mark.


Uninstall Internet Explorer

To uninstall Internet Explorer

If you encounter problems that you cannot resolve, it is often beneficial to uninstall Internet Explorer and then reinstall it. This procedure replaces files that might have been damaged.

  1. In Windows, click Start, point to Settings, and then click Control Panel.
  2. Double-click the Add or Remove Programs icon.

Notes

  • If you are using Windows XP, click Start, click Control Panel, and then click Add or Remove Programs.
  • If you upgraded to Internet Explorer 6, when you uninstall Internet Explorer 6, you will go back to the version of Internet Explorer that was on your computer before you upgraded.


Understanding Internet addresses

An Internet or Web address (sometimes called a URL, or Uniform Resource Locator) typically is composed of four parts:

  • A protocol name (a protocol is a set of rules and standards that enable computers to exchange information)
  • The location of the site
  • The name of the organization that maintains the site
  • A suffix that identifies the kind of organization it is (such as .com for a commercial organization)

For example, the address http://www.microsoft.com/ provides the following information:

http: | This Web server uses Hypertext Transfer Protocol (HTTP).
www | This site is on the World Wide Web.
microsoft | The Web server is at Microsoft Corporation.
com | This is a commercial institution.

When you are viewing a Web page, the page's address appears in the Address bar in Internet Explorer.


Search from the Address bar

To search from the Address bar

  1. In Internet Explorer, on the Tools menu, click Internet Options.
  2. Click the Advanced tab.
  3. Under Search from the Address bar, select one of the following:
    • To view a list of likely matches in the Search bar, and display the most likely Web page in the main window, select Display the results, and go to the most likely site.
    • To view a list of likely matches in the main window so that you can choose which Web page to display, select Just display the results in the main window.
    • To view only the most likely Web page, select Just go to the most likely site.
    • To turn off searching from the Address bar, select Do not search from the Address bar.

Notes

  • When you search from the Address bar, Internet Explorer can automatically display the Web page that most likely matches what you are searching for and list other likely sites as well. Just type common names or words in the Address bar, and then click Go.
  • No matter which option you choose, you can still search for Web sites by clicking the Search button on the toolbar.


Use Web folders

To use Web folders

You can work with files and folders that are on a Web server just as you would with files and folders in My Computer or Windows Explorer.

Some examples of servers that support Web folders are WebDAV (World Wide Web Distributed Authoring and Versioning) and Microsoft FrontPage servers. To find out what servers are set up for Web folders, check with your system administrator.

  1. On the File menu in Internet Explorer, click Open.
  2. Select the Open as Web Folder check box.
  3. Type the Web address that you have been provided.


Microsoft Product Support Services Online

Get the latest answers to technical questions via the Internet

Online Support from Microsoft Product Support Services

If you have a question and can't find the answer in Internet Explorer Help, go to Support Online. Just select your product, type your question, and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base to troubleshooting wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to Support Online.


Understanding security zones

Internet Explorer divides your Internet world into zones, so that you can assign a Web site to a zone with a suitable security level.

You can tell which zone the current Web page is in by looking at the right side of the Internet Explorer status bar. Whenever you attempt to open or download content from the Web, Internet Explorer checks the security settings for that Web site's zone.

There are four zones:

  • Internet zone: By default, this zone contains anything that is not on your computer or an intranet, or assigned to any other zone. The default security level for the Internet zone is Medium. You can change your privacy settings for the Internet zone on the Privacy tab in Internet Options. For more information, click Related Topics.
  • Local intranet zone: This zone typically contains any addresses that don't require a proxy server, as defined by the system administrator. These include sites specified on the Connections tab, network paths (such as \\computername\foldername), and local intranet sites (typically addresses that don't contain periods, such as http://internal). You can add sites to this zone. The default security level for the Local intranet zone is Medium, therefore, Internet Explorer will allow all cookies from Web sites in this zone to be saved on your computer and read by the Web site that created them.
  • Trusted sites zone: This zone contains sites you trust—sites that you believe you can download or run files from without worrying about damage to your computer or data. You can assign sites to this zone. The default security level for the Trusted sites zone is Low, therefore, Internet Explorer will allow all cookies from Web sites in this zone to be saved on your computer and read by the Web site that created them.
  • Restricted sites zone: This zone contains sites you don't trust—sites that you're not sure whether you can download or run files from without damage to your computer or data. You can assign sites to this zone. The default security level for the Restricted sites zone is High, therefore, Internet Explorer will block all cookies from Web sites in this zone.

In addition, any files already on your local computer are assumed to be very safe, so minimal security settings are assigned to them. You cannot assign a folder or drive on your computer to a security zone.

You can change the security level for a zone; for example, you might want to change the security setting for your Local intranet zone to Low. Or, you can customize the settings within a zone. You can also customize settings for a zone by importing a privacy settings file from a certification authority.